/*
 * Globals
 * */
var $um_window = jQuery(window);

jQuery(document).ready(function($){

    /*
     * Product Slider
     * */
    var animEndEventNames = {
        'WebkitAnimation' : 'webkitAnimationEnd',
        'OAnimation' : 'oAnimationEnd',
        'msAnimation' : 'MSAnimationEnd',
        'animation' : 'animationend'
    };
    animEndEventName = animEndEventNames[ Modernizr.prefixed( 'animation' ) ];

    var product_slider = function(dom,interval){
        var obj = this;
        var dom = dom;
        var _interval = interval;
        this.nextSlide = function(){
            var el = $(dom);
            var cur_slide = el.find(".cur_slide");
            var next_slide = cur_slide.next();
            if(!next_slide.length){
                next_slide = el.find("ul.handpicked-slider li:eq(0)");
            }
            obj.goTo(next_slide.index());
        };

        this.goTo = function(index){
            var el = $(dom);
            var cur_slide = el.find(".cur_slide");
            var next_slide = el.find("ul.handpicked-slider li:eq("+index+")");
            if(next_slide.length){
                cur_slide.removeClass("cur_slide");
                next_slide.addClass("cur_slide");

                /*Animation hooks*/
                cur_slide.find(".hp-product-photo").removeClass("fadeIn");
                cur_slide.find(".hp-product-info h4").removeClass("fadeIn");
                cur_slide.find(".hp-product-info p").removeClass("fadeIn");
                cur_slide.find(".hp-product-info a.hp-product-title").removeClass("fadeIn");
                cur_slide.find(".hp-product-info a.btn").removeClass("fadeIn");

                setTimeout(function(){
                    next_slide.find(".hp-product-photo").addClass("fadeIn");
                    next_slide.find(".hp-product-info h4").addClass("fadeIn");
                    next_slide.find(".hp-product-info p").addClass("fadeIn");
                    next_slide.find(".hp-product-info a.hp-product-title").addClass("fadeIn");
                    next_slide.find(".hp-product-info a.btn").addClass("fadeIn");
                },1);

                /*Change active bullet*/
                el.find(".handpicked-bullets .ht-active-bullet").removeClass("ht-active-bullet");
                el.find(".handpicked-bullets li:eq("+next_slide.index()+")").addClass("ht-active-bullet");
            }
        };

        this.stopSlide = function(){
            if(interval) {
                clearInterval(obj.slide);
            }
        };

        this.startSlide = function(){
            if(interval) {
                obj.slide = setInterval(function () {
                    obj.nextSlide();
                }, _interval);
            }
        };

        this.slide = 0;

        if(interval) {
            this.slide = setInterval(function(){
                obj.nextSlide();
            },_interval);
        }

        dom.product_slider = obj;
    };

    $(".handpicked").each(function(){
        var interval = parseInt($(this).data("interval"));
        new product_slider(this,interval);
    });

    $(".handpicked").mouseenter(function(){
        this.product_slider.stopSlide();
    });

    $(".handpicked").mouseleave(function(){
        this.product_slider.startSlide();
    });

    $(".handpicked .handpicked-bullets li a").click(function(e){
        e.preventDefault();
        $(this).parents(".handpicked").eq(0).get(0).product_slider.goTo($(this).parent().index());
    });

    /*
     * Images Liquid
     * */
    $(".imgLiquid").imgLiquid();

    /*
     * Clients Slider
     * */
    var clients_slider = function(dom,interval){
        var obj = this;
        var dom = dom;
        var el = $(dom);
        var _interval = interval;
        var group_by = 5;

        this.nextSlide = function(){
            var last_visible_element = el.find("li:visible:last");
            if(el.find("li").length > 5){
                if(!last_visible_element.next().length){
                    /*this is the last element*/
                    el.find("li").hide();
                    $.each(el.find("li").splice(0,group_by),function(){
                        $(this).show();
                    });
                }else{
                    var next_index = last_visible_element.next().index();
                    el.find("li").hide();
                    $.each(el.find("li").splice(next_index,group_by),function(){
                        $(this).show();
                    });
                }
            }else{
                this.stopSlide();
            }
        };

        this.stopSlide = function(){
            if(interval) {
                clearInterval(obj.slide);
            }
        };

        this.startSlide = function(){
            if(interval) {
                obj.slide = setInterval(function () {
                    obj.nextSlide();
                }, _interval);
            }
        };

        this.slide = 0;

        if(interval) {
            this.slide = setInterval(function(){
                obj.nextSlide();
            },_interval);
        }

        dom.clients_slider = obj;
    }

    $(".clients-section").each(function(){
        var interval = parseInt($(this).data("interval"));
        new clients_slider($(this).find(".clients-list")[0],interval);
    });

    $(".clients-section").mouseenter(function(){
        $(this).find(".clients-list")[0].clients_slider.stopSlide();
    });

    $(".clients-section").mouseleave(function(){
        $(this).find(".clients-list")[0].clients_slider.startSlide();
    });

    /*
     * Umbrella Slider
     * */

    var umbrella_slider = function(dom,interval){
        var obj = this;
        var dom = dom;
        var el = $(dom);
        var _interval = interval;

        this.goTo = function(index){
            var visible_slide = el.find(".um-slides-list .um-single-slide:visible");
            var next_slide = el.find(".um-slides-list .um-single-slide ").eq(index);

            visible_slide.find(".um-slide-captions").removeClass("fadeIn");
            visible_slide.stop(true,true).fadeOut("fast",function(){
                el.find(".um-slide-navigation li.active-um-slide").removeClass("active-um-slide");
                el.find(".um-slide-navigation li").eq(index).addClass("active-um-slide");
                next_slide.stop(true,true).fadeIn("fast");
                next_slide.find(".um-slide-captions").addClass("fadeIn");
            });
        }

        this.nextSlide = function(){
            var visible_slide = el.find(".um-slides-list .um-single-slide:visible");
            var next_slide = visible_slide.next();
            if(!next_slide.length){
                next_slide = el.find(".um-slides-list .um-single-slide:eq(0)");
            }
            obj.goTo(next_slide.index());
        };

        this.stopSlide = function(){
            if(interval) {
                clearInterval(obj.slide);
            }
        };

        this.startSlide = function(){
            if(interval) {
                obj.slide = setInterval(function () {
                    obj.nextSlide();
                }, _interval);
            }
        };

        this.slide = 0;

        if(interval) {
            this.slide = setInterval(function(){
                obj.nextSlide();
            },_interval);
        };

        dom.umbrella_slider = obj;
    };

    $(".umbrella-slider").each(function(){
        var interval = parseInt($(this).data("interval"));
        new umbrella_slider(this,interval);
    });

    $(".umbrella-slider .um-slide-navigation li a").click(function(e){
        e.preventDefault();
        var index = $(this).parent().index();
        $(this).parents(".umbrella-slider")[0].umbrella_slider.goTo(index);
    });

    $(".umbrella-slider").mouseenter(function(){
        this.umbrella_slider.stopSlide();
    });

    $(".umbrella-slider").mouseleave(function(){
        this.umbrella_slider.startSlide();
    });

    /*
     * Testimonials Slider
     * */

    var testimonials_slider = function(dom,interval){
        var obj = this;
        var dom = dom;
        var el = $(dom);
        var _interval = interval;

        this.goTo = function(index){
            var visible_slide = el.find(".testimonials-list li:visible");
            var visible_slide_height = visible_slide.height();
            var next_slide = el.find(".testimonials-list li").eq(index);
            visible_slide.stop(true,true).fadeOut("normal",function(){
                next_slide.stop(true,true).fadeIn("normal",function(){
                    if(next_slide.height() > visible_slide_height){
                        var offset = 0;
                        offset += parseInt(next_slide.parent().css("padding-top"));
                        offset += parseInt(next_slide.parents(".testimonials-section").css("margin-bottom"));
                        el.css("height",next_slide.height() + offset +"px");
                    }
                });
            });
        };

        this.nextSlide = function(){
            var next_slide = el.find(".testimonials-list li:visible").next();
            if(!next_slide.length){
                next_slide = el.find(".testimonials-list li:eq(0)");
            }
            obj.goTo(next_slide.index());
        };

        this.prevSlide = function(){
            var next_slide = el.find(".testimonials-list li:visible").prev();
            if(!next_slide.length){
                next_slide = el.find(".testimonials-list li:last");
            }
            obj.goTo(next_slide.index());
        }

        this.stopSlide = function(){
            if(interval) {
                clearInterval(obj.slide);
            }
        };

        this.startSlide = function(){
            if(interval) {
                obj.slide = setInterval(function () {
                    obj.nextSlide();
                }, _interval);
            }
        };

        this.slide = 0;

        if(interval) {
            this.slide = setInterval(function(){
                obj.nextSlide();
            },_interval);
        };

        dom.testimonials_slider = obj;
    };

    $(".testimonials-section").each(function(){
        var interval = parseInt($(this).data("interval"));
        new testimonials_slider(this,interval);
        if($(this).find(".testimonials-list li").length <= 1){
            $(this).find(".testimonials-nav").remove();
        }
    });

    $(".testimonials-nav .t-prev").click(function(e){
        e.preventDefault();
        $(this).parents(".testimonials-section")[0].testimonials_slider.prevSlide();
    });

    $(".testimonials-nav .t-next").click(function(e){
        e.preventDefault();
        $(this).parents(".testimonials-section")[0].testimonials_slider.nextSlide();
    });

    $(".testimonials-section").mouseenter(function(){
        this.testimonials_slider.stopSlide();
    });

    $(".testimonials-section").mouseleave(function(){
        this.testimonials_slider.startSlide();
    });

    /*
     * Selectric
     * */
    $('select:not(.country_to_state)').selectric();

    $('form.variations_form').on("woocommerce_variation_has_changed",function(){
        $(this).find('.variations select').selectric('refresh');
    });
    /*
     *  Popup
     * */
    $(".popup-promotion a").on("click",function(e){
        if($(e.target).hasClass("close_popup")){
            e.preventDefault();
        }
        var popup_id = $(".popup-promotion").attr("id");
        $(".popup-promotion").stop(true,true).fadeOut("slow");
        setCookie(popup_id,true,360);
    });

    /*
     *  Typeahead - Autocomplete
     * */
    var queriedProducts = new Bloodhound({
        datumTokenizer: Bloodhound.tokenizers.obj.whitespace('value'),
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: um_ajaxurl+'?action=um_search_product&keyword=%QUERY'
    });

    queriedProducts.initialize();

    var searchTypehead = $('#search-input').typeahead({
        hint : false
    }, {
        name: 'products',
        displayKey: 'value',
        source: queriedProducts.ttAdapter(),
        templates: {
            suggestion: Handlebars.compile('<p><a href="{{url}}">{{value}}</a></p>')
        }
    });

    searchTypehead.on('typeahead:selected',function(el,data){
        window.location = data.url;
    });

    /*
     * Subscribe plugin markup tweaks
     * */
    $("#frm-email").on("focus",function(){
        $(this).parents("table").find("[for='frm-email']").hide();
    });

    $("#frm-email").on("blur",function(){
        $(this).parents("table").find("[for='frm-email']").show();
    });

    /*
     * Wish list
     * */
    $("body").on("click","a.add_to_wish_list",function(e){
        e.preventDefault();
        var product_id = $(this).data("product_id");
        var el = $(this);
        var ajax_data = {
            product_id : product_id,
            action : 'um_add_product_to_wish_list'
        };
        $.post(um_ajaxurl,ajax_data,function(data){
            console.log(data);
            if(data == "1"){
                if(el.hasClass("um_wishlist_product")){
                    el.removeClass("um_wishlist_product");
                }else{
                    el.addClass("um_wishlist_product");
                }
            }
        });
    });

    /*
     * Single product slider
     * if the lightbox is dissabled place small thumbs to the big image on single product page
     * */
    if(!product_lightbox){
        $(".images .thumbnails a").click(function(e){
            e.preventDefault();
            var img_url = $(this).attr("href");
            $(".images > a.woocommerce-main-image img").attr("src",img_url);
        });
    }

    /*
     * Update cart total buble
     * */
    $("body").on("added_to_cart",function(fragments){
        $.post(um_ajaxurl,{ action : "um_get_cart_totals" } , function(data){
            $("div.count_pr p").text(data);
        });
    });

    /*
     * Infinite scroll
     * */
    if($("body").hasClass("page-template-template-home-plain-php")) {
        var $products_feed = $(".products-feed")
        function um_infinite_scroll(){
            var feed_scroll = $products_feed.offset().top + $products_feed.height();
            var window_scroll = $um_window.scrollTop() + $um_window.height();
            if(window_scroll >= feed_scroll){
                $um_window.off("scroll",um_infinite_scroll);
                project_page++;
                var ajax_data = {
                    um_ajax_load_more : true,
                    paged : project_page
                };
                var url = window.location.href;
                $.post(url,ajax_data,function(data){
                    $products_feed.append(data);
                    if(max_num_of_pages > project_page){
                        $um_window.on("scroll",um_infinite_scroll);
                    }
                });
            }
        };
        $um_window.on("scroll",um_infinite_scroll);
    }

    /*
     * Blog page load more
     * */
    $("a.load_more_blog").click(function(e){
        e.preventDefault();
        var url = window.location.href;
        var el = $(this);
        project_page++;
        var ajax_data = {
            um_ajax_load_more : true,
            paged : project_page,
            page : project_page
        };
        $.post(url,ajax_data,function(data){
            $(".blog-container .posts").append(data);
            $(".blogpage-post-fi").imgLiquid();
            if(project_page >= max_num_of_pages){
                el.fadeOut("fast",function(){
                    el.remove();
                });
            }
        });
    });

    /*
     * Load more portfolio
     * */
    $("a.load_more_portfolio").click(function(e){
        e.preventDefault();
        var url = window.location.href;
        var el = $(this);
        project_page++;
        var ajax_data = {
            um_ajax_load_more : true,
            paged : project_page,
            page : project_page
        };
        $.post(url,ajax_data,function(data){
            $(".gallery-container").append(data);
            $(".galleryFeed .imgLiquid").imgLiquid();
            if(project_filter){
                var portfolio_parent = $(".gallery-container");
                portfolio_parent.find(".disabled").removeClass("disabled");
                portfolio_parent.find(".galleryFeed:not(."+project_filter+")").addClass("disabled");
            }
            if(project_page >= max_num_of_pages){
                el.fadeOut("fast",function(){
                    el.remove();
                });
            }
        });
    });

    /*
     * Portfolio filter
     * */
    var project_filter = "";
    $(".gallery-filter a").click(function(e){
        e.preventDefault();

        project_filter = $(this).data("filter");

        var parent = $(this).parent().parent();
        parent.find("li.activeFilter").removeClass("activeFilter");
        $(this).parent().addClass("activeFilter");

        var portfolio_parent = $(".gallery-container");
        portfolio_parent.find(".disabled").removeClass("disabled");
        portfolio_parent.find(".galleryFeed:not(."+project_filter+")").addClass("disabled");
    });

    /*
     * Show and hide the menu
     * */
    $("a.menu-button-mobile").click(function(e){
        e.preventDefault();
        $(".responsive-menu").stop(true,true).fadeToggle("fast");
    });

    $(".responsive-menu .menu-item-has-children > a").click(function(e){
        e.preventDefault();
        $(this).next().stop(true,true).fadeToggle("fast");
    });

    /*Show and hide search box*/
    $("a.search-mobile").click(function(e){
        e.preventDefault();
        $(".search-box").stop(true,true).fadeToggle("fast");
    });

    /*
     * Shortcodes
     * */

    /*Accordions*/

    $("body").on("click","ul.accordion li > a",function(e){
        e.preventDefault();
        var parent = $(this).closest("ul.accordion");
        var this_element = $(this);
        parent.find("a.active").removeClass("active").find('i').addClass('fa-plus-square').removeClass('fa-minus-square').parent().siblings(".section_content").stop(true,true).slideUp({
            duration : 200 ,
            complete : function(){
                this_element.addClass("active").find('i').removeClass('fa-plus-square').addClass('fa-minus-square').parent().siblings(".section_content").stop(true,true).slideDown({

                });
            }
        });
    });

    /*Tabs*/

    $("body").on("click","div.tabs ul.tab_buttons li > a",function(e){
        e.preventDefault();
        var parent = $(this).parent().parent();
        var this_index = $(this).parent().index();
        parent.find("a").removeClass("active");
        $(this).addClass("active");
        parent.next().children("li:visible").stop(true,true).fadeOut({
            duration : 200 ,
            complete : function(){
                parent.next().children("li").eq(this_index).stop(true,true).fadeIn({
                    duration : 200
                });
            }
        });
    });

    /*Toggles*/
    $("body").on("click",".toggle li > a",function(e){
        e.preventDefault();
        var section_content = $(this).siblings(".section_content");
        if($(this).hasClass("active")){
            $(this).removeClass("active").find('i').addClass('fa-plus-square').removeClass('fa-minus-square');
        }else{
            $(this).addClass("active").find('i').removeClass('fa-plus-square').addClass('fa-minus-square');
        }
        section_content.stop(true,true).slideToggle({
            duration : 200
        });
    });

    $("body").on("click","div.alert_container a.close",function(e){
        e.preventDefault();
        $(this).parent().fadeOut({
            duration : 800
        });
    });
    /*Alerts*/

    $('.accordion li:first-child').find('a').addClass('active').find('i').removeClass('fa-plus-square fa').addClass('fa-minus-square fa');
    $('.accordion li:first-child').find('.section_content').show();

    $('.tabs .tab_buttons > li:first-child').find('a').addClass('active');
    $('.tabs .tab_content li:first-child').show();


    /*
     * Center banner labels
     * */
    function center_banner_labels(){
        $(".promotion-banner").each(function(){
            var parent_height = $(this).height() / 2;
            parent_height -= $(this).find(".promotion-caption").height() / 2;
            $(this).find(".promotion-caption").css("margin-top",parent_height+"px");
        });
    };

    $um_window.on("load resize",function(){
        center_banner_labels();
    });

    /*
     * Loader Handling
     * */
    $um_window.load(function(){
        $(".loader").stop(true,true).fadeOut("fast");
    });

    $(document).ajaxSend(function(event, jqxhr, settings) {
        //$(".loader").stop(true,true).fadeIn("fast");
    }).ajaxComplete(function(event, jqxhr, settings) {
        //$(".loader").stop(true,true).fadeOut("fast");
    });

    /*
    * Show matchpoint dialogs
    * */
    $(".c-matchpoint , .mobile-matchpoints li a").click(function(e){
        e.preventDefault();
        var product = $(this).data("product");
        $(this).parents(".collection-section").find(".collection-con").find(".c-product[data-product='"+product+"']").stop(true,true).fadeIn("fast");
    });

    $(".c-product .close-c-product").click(function(e){
        e.preventDefault();
        $(this).parents(".c-product").stop(true,true).fadeOut("fast");
    });

 });
/*
 * Helpers
 * */
function setCookie(cname, cvalue, exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires="+d.toUTCString();
    document.cookie = cname + "=" + cvalue + "; " + expires;
}

function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for(var i=0; i<ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1);
        if (c.indexOf(name) != -1) return c.substring(name.length, c.length);
    }
    return "";
}