<?php

/*
 * Headline
 * */
function um_headline_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'url' => '',
        'button_text' => __('explore now','um_lang')
    ), $atts ) );
    $url = esc_url($url);

    return um_mustache_render("headline",compact("url","content","button_text"));
}
add_shortcode("um_headline","um_headline_shortcode_func");

/*
 * Separator
 * */
function um_separator_shortcode_func($atts,$content){
    return um_mustache_render("separator",array());
}
add_shortcode("um_separator","um_separator_shortcode_func");

/*
 * Products feed
 * */
function um_feed_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'title' => '',
        'url' => '',
        'button_text' => __('explore now','um_lang')
    ), $atts ) );
    $content = do_shortcode($content);
    $url = esc_url($url);
    return um_mustache_render("feed",compact("title","url","button_text","content"));
}
add_shortcode("um_feed","um_feed_shortcode_func");

/*
 * Product Categories
 * */
function um_product_categories_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'title' => '',
        'exclude' => array(),
        'hide_empty' => false
    ), $atts ) );
    if($exclude){
        $exclude = explode(",",$exclude);
        $exclude = array_map("trim",$exclude);
    }
    $args = array(
        'hide_empty' => $hide_empty,
        'exclude' => $exclude
    );
    $terms =  get_terms('product_cat',$args);
    $terms_markup = "";
    if($terms){
        foreach ($terms as $term) {
            $term_url = get_term_link($term->slug,$term->taxonomy);
            $term_name = $term->name;
            $terms_markup .= "<li class='col-md-3 col-sm-4 col-xs-6'><a href='{$term_url}'>{$term_name}</a></li>";
        }
    }
    return um_mustache_render("product_categories",compact("title","terms_markup"));
}
add_shortcode("um_product_categories","um_product_categories_shortcode_func");

/*
 * Subscribe
 * */
function um_subscribe_shortcode_func($atts,$content){
    $subscribe_form = "";
    if(class_exists('\SimpleSubscribe\Admin')){
        $subscribe_form = \SimpleSubscribe\FrontEnd::subscriptionForm(FALSE);
    }
    return um_mustache_render("subscribe",compact("subscribe_form","content"));
}
add_shortcode("um_subscribe","um_subscribe_shortcode_func");

/*
 * Product Slider
 * */
$product_slides_counter = 0;
global $product_slides_counter;
function um_product_slide_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'price' => '',
        'title' => '',
        'description' => '',
        'url' => '',
        'button_text' => '',
        'image' => ''
    ), $atts ) );
    $url = esc_url($url);
    $image = esc_attr($image);
    global $product_slides_counter;
    $class = "";
    $anim_class = "";
    $anim_class_btn = "";
    if($product_slides_counter == 0){
        $class = "cur_slide";
        $anim_class = "fadeIn";
    }
    $product_slides_counter++;
    $image = esc_url($image);
    $title = esc_attr($title);
    $url = esc_url($url);
    return um_mustache_render("product_slide",compact("class","anim_class","price","title","description","url","button_text","image"));
}
add_shortcode("um_product_slide","um_product_slide_shortcode_func");

function um_product_slider_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'interval' => '0',
        'title' => ''
    ), $atts ) );
    $content = do_shortcode($content);
    $interval = esc_attr(intval($interval));
    $bullets = "";
    global $product_slides_counter;
    for($i = 0 ; $i < $product_slides_counter ; $i++){
        $class = "";
        if($i == 0){
            $class = "ht-active-bullet";
        }
        $bullets .= "<li class='{$class}'><a href='#'></a></li>";
    }
    $product_slides_counter = 0;
    return um_mustache_render("product_slider",compact("title","bullets","content","interval"));
}
add_shortcode("um_product_slider","um_product_slider_shortcode_func");

/*
 * Clients
 * */
function um_client_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'url' => '',
        'image' => '',
        'alt' => ''
    ), $atts ) );
    if($image){
        $image = aq_resize($image,228,150,false);
    }
    return um_mustache_render("client",compact("url","image","alt"));
}
add_shortcode("um_client","um_client_shortcode_func");

function um_clients_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'title' => '',
        'interval' => 0
    ), $atts ) );
    $content = do_shortcode($content);
    $interval = esc_attr(intval($interval));
    return um_mustache_render("clients",compact("interval","content"));
}
add_shortcode("um_clients","um_clients_shortcode_func");

/*
 * Widgetized Area
 * */
function um_um_widgetized_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'sidebar' => '',
    ), $atts ) );
    $markup = "";
    if(is_dynamic_sidebar($sidebar) && is_active_sidebar($sidebar)){
        ob_start();
        ?>
        <div class="sidebar_footer">
            <?php dynamic_sidebar($sidebar); ?>
        </div>
    <?php
    $markup = ob_get_clean();
    }
    return $markup;
}
add_shortcode("um_um_widgetized","um_um_widgetized_shortcode_func");

/*
 * Umbrella slider
 * */
$UM_SLIDES_COUNTER = 0;
global $UM_SLIDES_COUNTER;
function um_umbrella_slide_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'image' => '',
        'background_color' => '',
        'image_full' => false,
        'caption' => '',
        'button_url' => '',
        'button_text' => __("Explore Now","um_lang"),
        'image_alt' => ''
    ), $atts ) );
    global $UM_SLIDES_COUNTER;
    $UM_SLIDES_COUNTER++;
    if($background_color){
        $background_color = esc_attr($background_color);
        $background_color = "style='background-color:{$background_color};'";
    }
    if($image_full){
        $image_full = "image_full imgLiquid";
    }
    $animated = "";
    if($UM_SLIDES_COUNTER == 1){
        $animated = "fadeIn";
    }
    $button_url = esc_url($button_url);
    $image = esc_url($image);
    $image_alt = esc_attr($image_alt);
    return um_mustache_render("umbrella_slide",compact("image_full","background_color","animated","caption","button_url","button_text","image","image_alt"));
}
add_shortcode("um_umbrella_slide","um_umbrella_slide_shortcode_func");

function um_umbrella_slider_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'delay' => 0,
    ), $atts ) );
    $content = do_shortcode($content);
    global $UM_SLIDES_COUNTER;
    $slider_nav = "";
    for($i = 1;$i <= $UM_SLIDES_COUNTER;$i++){
        if($i == 1){
            $nav_class = "active-um-slide";
        }else{
            $nav_class = "";
        }
        $slider_nav .= "<li class='{$nav_class}'><a href='#'>{$i}</a></li>";
    }
    $delay = esc_attr($delay);
    $UM_SLIDES_COUNTER = 0;
    return um_mustache_render("umbrella_slider",compact("delay","slider_nav","content"));
}
add_shortcode("um_umbrella_slider","um_umbrella_slider_shortcode_func");

/*
 * Testimonials
 * */
function um_testimonial_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'image' => '',
        'alt' => '',
        'author' => '',
    ), $atts ) );
    $image = esc_url($image);
    $alt = esc_attr($alt);
    return um_mustache_render("testimonial",compact("image","alt","content"));
}
add_shortcode("um_testimonial","um_testimonial_shortcode_func");

function um_testimonials_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'interval' => 0,
        'title' => '',
    ), $atts ) );
    $interval = intval(esc_attr($interval));
    $content = do_shortcode($content);
    return um_mustache_render("testimonials",compact("interval","content","title"));
}
add_shortcode("um_testimonials","um_testimonials_shortcode_func");

/*
 * Promotion banners
 * */
function um_banner_shortcode_func($atts,$content){
    extract( shortcode_atts( array(
        'image' => '',
        'image_alt' => '',
        'background_color' => '',
        'caption' => '',
        'class' => '',
        'button_text' => __('Explore','um_lang'),
        'button_url' => '',
        'height' => '',
    ), $atts ) );
    $button_url = esc_url($button_url);
    $image = esc_url($image);
    $image_alt = esc_attr($image_alt);
    if($image){
        $image = "<img src='{$image}' alt='{$image_alt}'>";
    }
    $background_color = esc_attr($background_color);
    if($background_color){
        $background_color = "style='background-color:{$background_color};opacity:1;'";
    }
    return um_mustache_render("banner",compact("button_url","background_color","caption","button_text","image","class","height"));
}
add_shortcode("um_banner","um_banner_shortcode_func");

