<?php
add_action("init","um_register_post_types");

function um_register_post_types(){
    /*Register Portfolio Post Type*/
    $labels = array(
        'name'               => _x( 'Portfolios', 'post type general name', 'um_lang' ),
        'singular_name'      => _x( 'Portfolio', 'post type singular name', 'um_lang' ),
        'menu_name'          => _x( 'Portfolios', 'admin menu', 'um_lang' ),
        'name_admin_bar'     => _x( 'Portfolio', 'add new on admin bar', 'um_lang' ),
        'add_new'            => _x( 'Add New', 'portfolio', 'um_lang' ),
        'add_new_item'       => __( 'Add New Portfolio', 'um_lang' ),
        'new_item'           => __( 'New Portfolio', 'um_lang' ),
        'edit_item'          => __( 'Edit Portfolio', 'um_lang' ),
        'view_item'          => __( 'View Portfolio', 'um_lang' ),
        'all_items'          => __( 'All Portfolios', 'um_lang' ),
        'search_items'       => __( 'Search Portfolios', 'um_lang' ),
        'parent_item_colon'  => __( 'Parent Portfolios:', 'um_lang' ),
        'not_found'          => __( 'No portfolios found.', 'um_lang' ),
        'not_found_in_trash' => __( 'No portfolios found in Trash.', 'um_lang' ),
    );
    $portfolio_slug = get_option("portfolio_slug") ? get_option("portfolio_slug") : "portfolio";

    $args = array(
        'labels'             => $labels,
        'public'             => true,
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'query_var'          => true,
        'rewrite'            => array( 'slug' => $portfolio_slug ), /*Make it configurable from customizer*/
        'capability_type'    => 'post',
        'has_archive'        => true,
        'hierarchical'       => false,
        'menu_icon'          => 'dashicons-visibility',
        'menu_position'      => null,
        'supports'           => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'comments' )
    );
    register_post_type( 'portfolio', $args );

    /*Register Portfolio Post Types Taxonomy*/
    $labels = array(
        'name'              => _x( 'Portfolio Categories', 'taxonomy general name' , 'um_lang'),
        'singular_name'     => _x( 'Portfolio Category', 'taxonomy singular name' , 'um_lang'),
        'search_items'      => __( 'Search Portfolio Categories' , 'um_lang'),
        'all_items'         => __( 'All Portfolio Categories' , 'um_lang'),
        'parent_item'       => __( 'Parent Portfolio Category' , 'um_lang'),
        'parent_item_colon' => __( 'Parent Portfolio Category:' , 'um_lang'),
        'edit_item'         => __( 'Edit Portfolio Category' , 'um_lang'),
        'update_item'       => __( 'Update Portfolio Category' , 'um_lang'),
        'add_new_item'      => __( 'Add New Portfolio Category' , 'um_lang'),
        'new_item_name'     => __( 'New Portfolio Category Name' , 'um_lang'),
        'menu_name'         => __( 'Portfolio Category' , 'um_lang'),
    );

    $args = array(
        'hierarchical'      => true,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'portfolio_category' ),
    );

    register_taxonomy( 'portfolio_category', array( 'portfolio' ), $args );
}