(function($){
	
	
	function initialize_field( $el ) {
		
		//$el.doStuff();
		
	}

    jQuery(document).ready(function($){

        /*
        * Add match point
        * */
        $("body").on("click",".um_collection_container .add_point",function(e){
            e.preventDefault();
            var parent = $(this).parents(".um_collection_container");
            parent.append("<div class='c-matchpoint'><div class='matchpoint-holder'><div class='c-icon'><a href='#'><i class='fa fa-bars'></i></a></div><div class='c-line'></div><div class='c-circle'></div></div></div>");
            parent.find(".c-matchpoint").each(function(){
                calc_point_pos($(this));
            });
            build_json(parent);
            construct_dragable();
        });

        /*
        * Matchpoint dialog
        * */
        var cur_point;
        $("body").on("dblclick",".um_collection_container .c-matchpoint",function(){
            event.preventDefault();
            event.stopPropagation();
            cur_point = $(this);
            var product = $(this).attr("data-product");
            var flip = $(this).attr("data-flip");

            $("#um_dialog #um_product").val(product);
            if(flip == 1){
                $("#um_dialog #um_flip_point").prop('checked', true);
            }else{
                $("#um_dialog #um_flip_point").prop('checked', false);
            }

            $("#um_dialog").dialog({
                modal : true,
                close : function(event,ui){

                }
            });
        });

        $("body").on("click",".um_save_point",function(e){
            e.preventDefault();
            var parent = cur_point.parents(".um_collection_container");
            cur_point.attr("data-product",$("#um_dialog #um_product").val());
            var flip = $("#um_dialog #um_flip_point").is(":checked") ? 1 : 0;
            cur_point.attr("data-flip",flip);
            if(flip){
                cur_point.addClass("c-left");
            }else{
                cur_point.removeClass("c-left");
            }
            $("#um_dialog").dialog("close");
            build_json(parent);
        });

        $("body").on("click",".um_delete_point",function(e){
            e.preventDefault();
            var parent = cur_point.parents(".um_collection_container");
            cur_point.remove();
            $("#um_dialog").dialog("close");
            build_json(parent);
        });


        /*
        * jQuery ui dragable
        * */
        var construct_dragable = function(){
            $(".c-matchpoint").draggable({
                containment: "parent",
                scroll: false,
                stop : function(event,ui){
                    calc_point_pos($(ui.helper));
                    build_json($(ui.helper).parents(".um_collection_container"));
                }
            });
            $(".c-matchpoint").resizable({
                handles: 'e, w',
                stop : function(event,ui){
                    calc_point_pos($(ui.helper));
                    build_json($(ui.helper).parents(".um_collection_container"));
                }
            });
        };
        construct_dragable();

        /*
        * Choose image dialog
        * */
        var file_frame;
        var cur_ui;
         $('body').on('click','.um_collection_container .add_image', function( event ){
            event.preventDefault();
            cur_ui = $(this).parents(".um_collection_container");
            if ( file_frame ) {
                file_frame.open();
                return;
            }
        });

        if(typeof wp.media !== 'undefined'){
            file_frame = wp.media.frames.file_frame = wp.media({
                title: jQuery( this ).data( 'uploader_title' ),
                button: {
                    text: jQuery( this ).data( 'uploader_button_text' )
                },
                library : {
                    type: 'image'
                },
                multiple: false
            });
        }

        if(typeof wp.media !== 'undefined'){
            file_frame.on( 'select', function() {
                var attachment = file_frame.state().get('selection').first().toJSON();
                var att_id = attachment.id;
                var att_url = attachment.url;
                if(att_url && att_id){
                    var img = cur_ui.find(".um_preview img");
                    img.attr("src",att_url);
                    img.attr("data-image",att_id);
                    img.parent().removeClass("no-image");
                    cur_ui.find(".c-matchpoint").each(function(){
                        calc_point_pos($(this));
                    });
                    build_json(cur_ui);
                }
            });
        }

        /*
        * build json based on field data
        * */
        function build_json(ui){
            //Get the image
            var image = ui.find(".um_preview img").attr("data-image");
            //Get all points
            var points = [];
            ui.find(".c-matchpoint").each(function(){
                var left = $(this).attr("data-left");
                var top = $(this).attr("data-top");
                var width = $(this).attr("data-width");
                var product = $(this).attr("data-product") ? $(this).attr("data-product") : "";
                var flip = $(this).attr("data-flip") ? $(this).attr("data-flip") : 0;
                points.push({
                    left : left,
                    top : top,
                    width : width,
                    product : product,
                    flip : flip
                });
            });
            var output = {
                image : image,
                points : points
            }
            output = JSON.stringify(output);
            output = base64_encode(output);
            ui.find(".val_holder").val(output);
        }

        /*
        * calculate points position
        * */
        function calc_point_pos(point){
            point = $(point);
            var x = $(point).position().top / $(point).parent().height() * 100;
            var y = $(point).position().left / $(point).parent().width() * 100;
            point.attr("data-top",parseFloat(x));
            point.attr("data-left",parseFloat(y));
            point.attr("data-width",point.width());
        }



     });
	
	
	if( typeof acf.add_action !== 'undefined' ) {
	
		/*
		*  ready append (ACF5)
		*
		*  These are 2 events which are fired during the page load
		*  ready = on page load similar to $(document).ready()
		*  append = on new DOM elements appended via repeater field
		*
		*  @type	event
		*  @date	20/07/13
		*
		*  @param	$el (jQuery selection) the jQuery element which contains the ACF fields
		*  @return	n/a
		*/
		
		acf.add_action('ready append', function( $el ){
			
			// search $el for fields of type 'FIELD_NAME'
			acf.get_fields({ type : 'FIELD_NAME'}, $el).each(function(){
				
				initialize_field( $(this) );
				
			});
			
		});

	}


})(jQuery);
