<?php
/*
 *
 *
 * Visual Composer Integration
 *
 *
 * */

if(function_exists("vc_map")){
    add_action("init","um_map_theme_shortcodes");
}

function um_map_theme_shortcodes(){
    /*
     * Headline
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Headline", "um_lang"),
        "base" => "um_headline",
        "show_settings_on_create" => true,
        "description" => __("Show WooCommerce Cart","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("URL", "um_lang"),
                "param_name" => "url",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Button text", "um_lang"),
                "param_name" => "button_text",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textarea_html",
                "heading" => __("Content", "um_lang"),
                "param_name" => "content",
                "description" => __("", "um_lang")
            )
        ),
    ));

    /*
     * Section Separator
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Separator", "um_lang"),
        "base" => "um_separator",
        "show_settings_on_create" => true,
        "description" => __("Separate contents with each other","um_lang"),
        "params" => array(

        ),
    ));


    /*
     * Product Categories
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Product Categories", "um_lang"),
        "base" => "um_product_categories",
        "show_settings_on_create" => true,
        "description" => __("Display product categories","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Title", "um_lang"),
                "param_name" => "title",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Esclude Categories", "um_lang"),
                "param_name" => "exclude",
                "description" => __("Enter category ID's with coma separated", "um_lang")
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Hide Empty", "um_lang"),
                "param_name" => "hide_empty",
                "description" => __("", "um_lang"),
                "value" => array(
                    'Hide Empty' => 'hide_empty',
                )
            )
        ),
    ));

    /*
     * Subscribe Form
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Subscribe Form", "um_lang"),
        "base" => "um_subscribe",
        "show_settings_on_create" => true,
        "description" => __("Display subscribe form","um_lang"),
        "params" => array(
        ),
    ));

    /*
     * Product slider
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Product Slide", "um_lang"),
        "base" => "um_product_slide",
        "show_settings_on_create" => true,
        "content_element" => true,
        "as_child" => array('only' => 'um_product_slider'),
        "description" => __("","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Price", "um_lang"),
                "param_name" => "price",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Title", "um_lang"),
                "param_name" => "title",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textarea",
                "heading" => __("Description", "um_lang"),
                "param_name" => "description",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("URL", "um_lang"),
                "param_name" => "url",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Button Text", "um_lang"),
                "param_name" => "button_text",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Image URL", "um_lang"),
                "param_name" => "image",
                "description" => __("", "um_lang")
            ),
        ),
    ));

    vc_map( array(
        "class" => "um_element",
        "name" => __("Product Slider", "um_lang"),
        "base" => "um_product_slider",
        "content_element" => true,
        "as_parent" => array('only' => 'um_product_slide'),
        "show_settings_on_create" => false,
        "description" => __("","um_lang"),
        "params" => array(
        ),
    ));
    if(class_exists("WPBakeryShortCodesContainer")){
        class WPBakeryShortCode_Um_Product_Slider extends WPBakeryShortCodesContainer {}
    }
    if(class_exists("WPBakeryShortCode")){
        class WPBakeryShortCode_Um_Product_Slide extends WPBakeryShortCode {}
    }


    /*
     * Clients
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Single Client", "um_lang"),
        "base" => "um_client",
        "show_settings_on_create" => true,
        "content_element" => true,
        "as_child" => array('only' => 'um_clients'),
        "description" => __("","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("URL", "um_lang"),
                "param_name" => "url",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Alt Text", "um_lang"),
                "param_name" => "alt",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Image URL", "um_lang"),
                "param_name" => "image",
                "description" => __("", "um_lang")
            ),
        ),
    ));

    vc_map( array(
        "class" => "um_element",
        "name" => __("Clients", "um_lang"),
        "base" => "um_clients",
        "content_element" => true,
        "as_parent" => array('only' => 'um_client'),
        "show_settings_on_create" => false,
        "description" => __("","um_lang"),
        "params" => array(
        ),
    ));
    if(class_exists("WPBakeryShortCodesContainer")){
        class WPBakeryShortCode_Um_Clients extends WPBakeryShortCodesContainer {}
    }
    if(class_exists("WPBakeryShortCode")){
        class WPBakeryShortCode_Um_Client extends WPBakeryShortCode {}
    }

    /*
     * Widgetized Area
     * */
    $sidebars_select = array();
    global $wp_registered_sidebars;
    if($wp_registered_sidebars && is_array($wp_registered_sidebars)){
        foreach ($wp_registered_sidebars as $sdb) {
            $sidebars_select[$sdb['id']] = $sdb['name'];
        }
    }
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Widgetized Area", "um_lang"),
        "base" => "um_um_widgetized",
        "show_settings_on_create" => true,
        "description" => __("Widgetized Area","um_lang"),
        "params" => array(
            array(
                "type" => "dropdown",
                "heading" => __("Sidebar", "um_lang"),
                "param_name" => "sidebar",
                "description" => __("", "um_lang"),
                "value" => $sidebars_select
            ),
        ),
    ));

    /*
     * Umbrella Slider
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Umbrella Slide", "um_lang"),
        "base" => "um_umbrella_slide",
        "show_settings_on_create" => true,
        "content_element" => true,
        "as_child" => array('only' => 'um_umbrella_slider'),
        "description" => __("","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Caption", "um_lang"),
                "param_name" => "caption",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("URL", "um_lang"),
                "param_name" => "button_url",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Button Text", "um_lang"),
                "param_name" => "button_text",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Alt Text", "um_lang"),
                "param_name" => "image_alt",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Image URL", "um_lang"),
                "param_name" => "image",
                "description" => __("", "um_lang")
            ),array(
                "type" => "colorpicker",
                "heading" => __("Background Color", "um_lang"),
                "param_name" => "background_color",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "checkbox",
                "heading" => __("Make Image Full width", "um_lang"),
                "param_name" => "image_full",
                "description" => __("", "um_lang"),
                "value" => array(
                    "Full Width" => 1
                )
            ),
        ),
    ));

    vc_map( array(
        "class" => "um_element",
        "name" => __("Umbrella Slider", "um_lang"),
        "base" => "um_umbrella_slider",
        "content_element" => true,
        "as_parent" => array('only' => 'um_umbrella_slide'),
        "show_settings_on_create" => false,
        "description" => __("","um_lang"),
        "params" => array(
        ),
    ));
    if(class_exists("WPBakeryShortCodesContainer")){
        class WPBakeryShortCode_Um_Umbrella_Slider extends WPBakeryShortCodesContainer {}
    }
    if(class_exists("WPBakeryShortCode")){
        class WPBakeryShortCode_Um_Umbrella_Slide extends WPBakeryShortCode {}
    }


    /*
     * Testimonials
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Testimonial", "um_lang"),
        "base" => "um_testimonial",
        "show_settings_on_create" => true,
        "content_element" => true,
        "as_child" => array('only' => 'um_testimonials'),
        "description" => __("","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Author", "um_lang"),
                "param_name" => "author",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Alt Text", "um_lang"),
                "param_name" => "alt",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Image URL", "um_lang"),
                "param_name" => "image",
                "description" => __("", "um_lang")
            )
        ),
    ));

    vc_map( array(
        "class" => "um_element",
        "name" => __("Testimonials", "um_lang"),
        "base" => "um_testimonial",
        "content_element" => true,
        "as_parent" => array('only' => 'um_testimonial'),
        "show_settings_on_create" => false,
        "description" => __("","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Title", "um_lang"),
                "param_name" => "title",
                "description" => __("", "um_lang")
            )
        ),
    ));
    if(class_exists("WPBakeryShortCodesContainer")){
        class WPBakeryShortCode_Um_Testimonials extends WPBakeryShortCodesContainer {}
    }
    if(class_exists("WPBakeryShortCode")){
        class WPBakeryShortCode_Um_Testimonial extends WPBakeryShortCode {}
    }


    /*
     * Promotion Banner
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("Promotion Banner", "um_lang"),
        "base" => "um_banner",
        "show_settings_on_create" => true,
        "description" => __("","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Caption", "um_lang"),
                "param_name" => "caption",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("URL", "um_lang"),
                "param_name" => "button_url",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Button Text", "um_lang"),
                "param_name" => "button_text",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Alt Text", "um_lang"),
                "param_name" => "image_alt",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Image URL", "um_lang"),
                "param_name" => "image",
                "description" => __("", "um_lang")
            ),array(
                "type" => "colorpicker",
                "heading" => __("Background Color", "um_lang"),
                "param_name" => "background_color",
                "description" => __("", "um_lang")
            ),
        ),
    ));

    /*
     * WooCommerce Shortcodes
     * */
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Cart", "um_lang"),
        "base" => "woocommerce_cart",
        "show_settings_on_create" => false,
        "description" => __("Show WooCommerce Cart","um_lang"),
        "params" => array(
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Checkout", "um_lang"),
        "base" => "woocommerce_checkout",
        "show_settings_on_create" => false,
        "description" => __("Show WooCommerce Checkout","um_lang"),
        "params" => array(
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Order Tracking", "um_lang"),
        "base" => "woocommerce_order_tracking",
        "show_settings_on_create" => false,
        "description" => __("Show WooCommerce Order Tracking","um_lang"),
        "params" => array(
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce My Account", "um_lang"),
        "base" => "woocommerce_my_account",
        "show_settings_on_create" => true,
        "description" => __("Show WooCommerce My Account","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of orders", "um_lang"),
                "param_name" => "order_count",
                "description" => __("", "um_lang")
            ),
            array(
                "type" => "textfield",
                "heading" => __("If you wish to show for a certain user type user ID", "um_lang"),
                "param_name" => "current_user",
                "description" => __("", "um_lang")
            )
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Recent Products", "um_lang"),
        "base" => "recent_products",
        "show_settings_on_create" => true,
        "description" => __("Show WooCommerce Recent Products","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of products", "um_lang"),
                "param_name" => "per_page",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Number of Columns", "um_lang"),
                "param_name" => "columns",
                "description" => __("", "um_lang")
            ),array(
                "type" => "dropdown",
                "heading" => __("Order By", "um_lang"),
                "param_name" => "orderby",
                "description" => __("", "um_lang"),
                "value" => array(
                    'date' => 'date',
                    'none' => 'none',
                    'ID' => 'ID',
                    'author' => 'author',
                    'title' => 'title',
                    'name' => 'name',
                    'modified' => 'modified',
                    'comment_count' => 'comment_count',
                )
            ),array(
                "type" => "dropdown",
                "heading" => __("Order", "um_lang"),
                "param_name" => "order",
                "description" => __("", "um_lang"),
                "value" => array(
                    'desc' => 'desc',
                    'asc' => 'asc',
                )
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Featured Products", "um_lang"),
        "base" => "featured_products",
        "show_settings_on_create" => true,
        "description" => __("Show WooCommerce Featured Products","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of products", "um_lang"),
                "param_name" => "per_page",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Number of Columns", "um_lang"),
                "param_name" => "columns",
                "description" => __("", "um_lang")
            ),array(
                "type" => "dropdown",
                "heading" => __("Order By", "um_lang"),
                "param_name" => "orderby",
                "description" => __("", "um_lang"),
                "value" => array(
                    'date' => 'date',
                    'none' => 'none',
                    'ID' => 'ID',
                    'author' => 'author',
                    'title' => 'title',
                    'name' => 'name',
                    'modified' => 'modified',
                    'comment_count' => 'comment_count',
                )
            ),array(
                "type" => "dropdown",
                "heading" => __("Order", "um_lang"),
                "param_name" => "order",
                "description" => __("", "um_lang"),
                "value" => array(
                    'desc' => 'desc',
                    'asc' => 'asc',
                )
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Single Product", "um_lang"),
        "base" => "product",
        "show_settings_on_create" => true,
        "description" => __("Show Single Product","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Product ID", "um_lang"),
                "param_name" => "id",
                "description" => __("", "um_lang")
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Products", "um_lang"),
        "base" => "products",
        "show_settings_on_create" => true,
        "description" => __("Show Products","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Product SKU", "um_lang"),
                "param_name" => "sku",
                "description" => __("", "um_lang")
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Add To Cart Button", "um_lang"),
        "base" => "add_to_cart",
        "show_settings_on_create" => true,
        "description" => __("Show WooCommerce Add To Cart Button","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Product ID", "um_lang"),
                "param_name" => "id",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Custom CSS", "um_lang"),
                "param_name" => "style",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("SKU", "um_lang"),
                "param_name" => "sku",
                "description" => __("", "um_lang")
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Add To Cart URL", "um_lang"),
        "base" => "add_to_cart_url",
        "show_settings_on_create" => true,
        "description" => __("Show WooCommerce Add To Cart URL","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Product ID", "um_lang"),
                "param_name" => "id",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("SKU", "um_lang"),
                "param_name" => "sku",
                "description" => __("", "um_lang")
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Product Page", "um_lang"),
        "base" => "product_page",
        "show_settings_on_create" => true,
        "description" => __("Show a full single product page by ID or SKU.","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Product ID", "um_lang"),
                "param_name" => "id",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("SKU", "um_lang"),
                "param_name" => "sku",
                "description" => __("", "um_lang")
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Product Category Page", "um_lang"),
        "base" => "product_category",
        "show_settings_on_create" => true,
        "description" => __("Show multiple products in a category by slug","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of products", "um_lang"),
                "param_name" => "per_page",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Number of Columns", "um_lang"),
                "param_name" => "columns",
                "description" => __("", "um_lang")
            ),array(
                "type" => "dropdown",
                "heading" => __("Order By", "um_lang"),
                "param_name" => "orderby",
                "description" => __("", "um_lang"),
                "value" => array(
                    'date' => 'date',
                    'none' => 'none',
                    'ID' => 'ID',
                    'author' => 'author',
                    'title' => 'title',
                    'name' => 'name',
                    'modified' => 'modified',
                    'comment_count' => 'comment_count',
                )
            ),array(
                "type" => "dropdown",
                "heading" => __("Order", "um_lang"),
                "param_name" => "order",
                "description" => __("", "um_lang"),
                "value" => array(
                    'desc' => 'desc',
                    'asc' => 'asc',
                )
            ),
            array(
                "type" => "textfield",
                "heading" => __("Category slugs", "um_lang"),
                "param_name" => "category",
                "description" => __("Place category slugs and separate them with comma eg : cat1, cat2", "um_lang")
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Sale Products", "um_lang"),
        "base" => "sale_products",
        "show_settings_on_create" => true,
        "description" => __("List all products on sale","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of products", "um_lang"),
                "param_name" => "per_page",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Number of Columns", "um_lang"),
                "param_name" => "columns",
                "description" => __("", "um_lang")
            ),array(
                "type" => "dropdown",
                "heading" => __("Order By", "um_lang"),
                "param_name" => "orderby",
                "description" => __("", "um_lang"),
                "value" => array(
                    'date' => 'date',
                    'none' => 'none',
                    'ID' => 'ID',
                    'author' => 'author',
                    'title' => 'title',
                    'name' => 'name',
                    'modified' => 'modified',
                    'comment_count' => 'comment_count',
                )
            ),array(
                "type" => "dropdown",
                "heading" => __("Order", "um_lang"),
                "param_name" => "order",
                "description" => __("", "um_lang"),
                "value" => array(
                    'desc' => 'desc',
                    'asc' => 'asc',
                )
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Nest Selling", "um_lang"),
        "base" => "best_selling_products",
        "show_settings_on_create" => true,
        "description" => __("List best selling products on sale","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of products", "um_lang"),
                "param_name" => "per_page",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Number of Columns", "um_lang"),
                "param_name" => "columns",
                "description" => __("", "um_lang")
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Top Rated", "um_lang"),
        "base" => "top_rated_products",
        "show_settings_on_create" => true,
        "description" => __("List top rated products on sale","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of products", "um_lang"),
                "param_name" => "per_page",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Number of Columns", "um_lang"),
                "param_name" => "columns",
                "description" => __("", "um_lang")
            ),array(
                "type" => "dropdown",
                "heading" => __("Order By", "um_lang"),
                "param_name" => "orderby",
                "description" => __("", "um_lang"),
                "value" => array(
                    'date' => 'date',
                    'none' => 'none',
                    'ID' => 'ID',
                    'author' => 'author',
                    'title' => 'title',
                    'name' => 'name',
                    'modified' => 'modified',
                    'comment_count' => 'comment_count',
                )
            ),array(
                "type" => "dropdown",
                "heading" => __("Order", "um_lang"),
                "param_name" => "order",
                "description" => __("", "um_lang"),
                "value" => array(
                    'desc' => 'desc',
                    'asc' => 'asc',
                )
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Product Attribute", "um_lang"),
        "base" => "product_attribute",
        "show_settings_on_create" => true,
        "description" => __("List products with an attribute shortcode","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of products", "um_lang"),
                "param_name" => "per_page",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Number of Columns", "um_lang"),
                "param_name" => "columns",
                "description" => __("", "um_lang")
            ),array(
                "type" => "dropdown",
                "heading" => __("Order By", "um_lang"),
                "param_name" => "orderby",
                "description" => __("", "um_lang"),
                "value" => array(
                    'date' => 'date',
                    'none' => 'none',
                    'ID' => 'ID',
                    'author' => 'author',
                    'title' => 'title',
                    'name' => 'name',
                    'modified' => 'modified',
                    'comment_count' => 'comment_count',
                )
            ),array(
                "type" => "dropdown",
                "heading" => __("Order", "um_lang"),
                "param_name" => "order",
                "description" => __("", "um_lang"),
                "value" => array(
                    'desc' => 'desc',
                    'asc' => 'asc',
                )
            ),array(
                "type" => "dropdown",
                "heading" => __("Attribute", "um_lang"),
                "param_name" => "attribute",
                "description" => __("", "um_lang"),
                "value" => array(
                    'desc' => 'desc',
                    'asc' => 'asc',
                )
            ),
            array(
                "type" => "textfield",
                "heading" => __("Filter", "um_lang"),
                "param_name" => "filter",
                "description" => __("", "um_lang")
            ),
        ),
    ));
    vc_map( array(
        "class" => "um_element",
        "icon" => "dashicons-admin-generic",
        "name" => __("WooCommerce Related Products", "um_lang"),
        "base" => "related_products",
        "show_settings_on_create" => true,
        "description" => __("List related products","um_lang"),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Number of products", "um_lang"),
                "param_name" => "per_page",
                "description" => __("", "um_lang")
            ),array(
                "type" => "textfield",
                "heading" => __("Number of Columns", "um_lang"),
                "param_name" => "columns",
                "description" => __("", "um_lang")
            ),array(
                "type" => "dropdown",
                "heading" => __("Order By", "um_lang"),
                "param_name" => "orderby",
                "description" => __("", "um_lang"),
                "value" => array(
                    'date' => 'date',
                    'none' => 'none',
                    'ID' => 'ID',
                    'author' => 'author',
                    'title' => 'title',
                    'name' => 'name',
                    'modified' => 'modified',
                    'comment_count' => 'comment_count',
                )
            ),
        ),
    ));
}