<?php
class Umbrella_Recent_Posts extends WP_Widget {

    public function __construct() {
        parent::WP_Widget(false, $name = 'Umbrella Recent Posts');
    }

    public function widget( $args, $instance ) {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : "";
        $num_of_posts = isset($instance['num_of_posts']) ? esc_attr($instance['num_of_posts']) : 3;
        echo $args['before_widget'];
        ?>
        <div class="widget_title"><h5><?php echo $title; ?></h5></div>
        <ul class="blog-recent-posts">
            <?php
            $the_query = new WP_Query(array("posts_per_page"=>$num_of_posts,'orderby'=>'comment_count', 'order'=>'DESC','post_status'=>'publish'));
            while ( $the_query->have_posts() ) : $the_query->the_post();
                global $post;
                $terms = wp_get_post_terms( $post->ID,"category" );
                $terms_html_array = array();
                foreach($terms as $t){
                    $term_name = $t->name;
                    $term_link = get_term_link($t->slug,$t->taxonomy);
                    array_push($terms_html_array,"<a href='{$term_link}' >{$term_name}</a>");
                }
                $terms_html_array = implode(", ",$terms_html_array);
                $img = um_get_post_featured_image_src();
                if($img){
                    $img = aq_resize($img,60,60,true);
                    $alt = get_post_meta(get_post_thumbnail_id($post->ID) , '_wp_attachment_image_alt', true);
                    $img = "<img src='{$img}' alt='{$alt}'/>";
                }
                $date = get_the_date("j M");
                ?>
                <li>
                    <a href="<?php the_permalink(); ?>">
                        <div class="w-featured">
                            <?php echo $img; ?>
                        </div>
                        <?php the_title(); ?>
                    </a>
                    <p><?php echo $date." "; echo $terms_html_array ? __("in","um_lang")." ".$terms_html_array : ""; ?></p>
                </li>
            <?php
            endwhile;wp_reset_postdata();
            ?>
        </ul>
        <?php
        echo $args['after_widget'];
    }

    public function form( $instance ) {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : "";
        $num_of_posts = isset($instance['num_of_posts']) ? esc_attr($instance['num_of_posts']) : "";
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Widget Title'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
        </p
            ><p>
            <label for="<?php echo $this->get_field_id('num_of_posts'); ?>"><?php _e('Number Of Posts'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('num_of_posts'); ?>" name="<?php echo $this->get_field_name('num_of_posts'); ?>" type="text" value="<?php echo $num_of_posts; ?>" />
        </p>
    <?php
    }

    public function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['num_of_posts'] = strip_tags($new_instance['num_of_posts']);
        return $instance;
    }
}