<?php
class Umbrella_Social_Widget extends WP_Widget {

    public function __construct() {
        parent::WP_Widget(false, $name = 'Social');
    }

    public function widget( $args, $instance ) {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : "";
        $social_networks = isset($instance['social_networks']) ? esc_attr($instance['social_networks']) : "";
        $sc_array = json_decode(base64_decode($social_networks),true);
        if($sc_array && is_array($sc_array)):
            echo $args['before_widget'];
            ?>
            <div class="widget_title"><h5><?php echo $title; ?></h5></div>
            <div class="social-icons-widget">
                <?php foreach($sc_array as $sc): ?>
                    <a href="<?php echo $sc["social_url"]; ?>" class="<?php echo str_replace("fa-","",$sc["social_network"]); ?>"><i class="fa <?php echo $sc["social_network"]; ?>"></i></a>
                <?php endforeach; ?>
            </div>
            <?php
            echo $args['after_widget'];
        endif;
    }

    public function form( $instance ) {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : "";
        $social_networks = isset($instance['social_networks']) ? esc_attr($instance['social_networks']) : "";
        $social_networks_array = array('fa-dribbble' => 'Dribbble','fa-flickr' => 'Flickr','fa-stack-overflow' => 'Stack OverFlow','fa-youtube' => 'Youtube','fa-dropbox' => 'Dropbox','fa-instagram' => 'Instagram','fa-skype' => 'Skype','fa-tumblr' => 'Tumblr','fa-stack-exchange' => 'Stackexchange','fa-facebook' => 'Facebook','fa-twitter' => 'Twitter','fa-google-plus' => 'Google Plus','fa-pinterest' => 'Pinterest','fa-linkedin' => 'Linkedin','fa-vk' => 'VKF','fa-behance' => 'Behance','fa-deviantart' => 'Deviantart','fa-drupal' => 'Drupal','fa-hacker-news' => 'Hacker News','fa-jsfiddle' => 'JSfiddle','fa-reddit-square' => 'Reddit','fa-vimeo-square' => 'Vimeo','fa-android' => 'Android','fa-digg' => 'Digg','fa-github' => 'Github','fa-apple' => 'Apple','fa-steam' => 'Steam','fa-wordpress' => 'WordPress','fa-yahoo' => 'Yahoo','fa-delicious' => 'Delicious','fa-spotify' => 'Spotify','fa-soundcloud' => 'SoundCloud','fa-globe' => 'Website');
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Widget Title'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('social_networks'); ?>"><?php _e('Social Network','um_lang'); ?></label>
            <div class="um_social_ui_container">
                <table class="sample">
                    <tr>
                        <td>
                            <select>
                                <?php foreach($social_networks_array as $key => $val): ?>
                                    <option value="<?php echo $key; ?>"><?php echo $val; ?></option>
                                <?php endforeach; ?>
                            </select>
                        </td>
                        <td>
                            <input type="text"/>
                        </td>
                        <td>
                            <a class="button um_social_ui_remove" href="#"><?php _e("Remove","um_lang"); ?></a>
                        </td>
                    </tr>
                </table>
                <table class="main_table">
                    <tr>
                        <td><?php _e("Social Network","um_lang"); ?></td>
                        <td><?php _e("Network URL","um_lang"); ?></td>
                        <td></td>
                    </tr>
                    <?php
                        $sc_array = json_decode(base64_decode($social_networks),true);
                        if($sc_array && is_array($sc_array)):
                            foreach($sc_array as $sc):
                    ?>
                        <tr>
                            <td>
                                <select>
                                    <?php foreach($social_networks_array as $key => $val): ?>
                                        <option <?php echo $key == $sc["social_network"] ? "selected='selected'" : ""; ?> value="<?php echo $key; ?>"><?php echo $val; ?></option>
                                    <?php endforeach; ?>
                                </select>
                            </td>
                            <td>
                                <input type="text" value="<?php echo $sc["social_url"]; ?>"/>
                            </td>
                            <td>
                                <a class="button um_social_ui_remove" href="#"><?php _e("Remove","um_lang"); ?></a>
                            </td>
                        </tr>
                    <?php
                            endforeach;
                        endif;
                    ?>
                </table>
            <a class="button um_social_ui_add" href="#"><?php _e("Add Network","um_lang"); ?></a>
            </div>
            <input class="widefat" id="<?php echo $this->get_field_id('social_networks'); ?>" name="<?php echo $this->get_field_name('social_networks'); ?>" type="hidden" value="<?php echo $social_networks; ?>" />
        </p>
    <?php
    }

    public function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['social_networks'] = strip_tags($new_instance['social_networks']);
        return $instance;
    }
}