<?php
/*
 * Remove the mdash from price
 * */
function um_remove_minus_from_price($price){
    return str_replace("&ndash;","",$price);
}
add_filter("woocommerce_get_price_html","um_remove_minus_from_price");

/*
 * Shop page layout
 * */
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
add_action('woocommerce_before_main_content', 'um_theme_wrapper_start', 10);
add_action('woocommerce_after_main_content', 'um_theme_wrapper_end', 10);
add_action('woocommerce_sidebar','um_theme_sidebar',10);

function um_theme_wrapper_start() {
    $class = is_active_sidebar("shop") ? "col-md-9" : "col-md-12";
    if(is_active_sidebar("shop")){
        global $woocommerce_loop;
        $woocommerce_loop['columns'] = 3;
    }
    echo '<div class="woocommerce" id="um_shop_container"><div class="um_products '.$class.'">';
}

function um_theme_wrapper_end() {
    echo "</div>";
}

function um_theme_sidebar(){
    echo '</div>';
}
/*
 * WooCommerce new options
 * */
add_filter( 'woocommerce_product_settings', 'um_add_woocommerce_settings' );
function um_add_woocommerce_settings( $settings ) {
    $updated_settings = array();

    foreach ( $settings as $section ) {
        if ( isset( $section['id'] ) && 'woocommerce_shop_page_display' == $section['id'] ) {
            $updated_settings[] = array(
                'name'     => __( 'Shop page subtitle', 'um_lang' ),
                'desc_tip' => __( 'Enter a subtitle for the shop page', 'um_lang' ),
                'id'       => 'woocommerce_shop_page_sub_title',
                'type'     => 'textarea',
                'css'      => 'min-width:300px;',
                'std'      => '1',  // WC < 2.0
                'default'  => '',  // WC >= 2.0
            );
        }
        if ( isset( $section['id'] ) && 'woocommerce_default_catalog_orderby' == $section['id'] ) {
            $updated_settings[] = array(
                'name'     => __( 'Category Layout', 'um_lang' ),
                'desc_tip' => __( 'Choose the categories layout', 'um_lang' ),
                'id'       => 'woocommerce_category_layout',
                'type'     => 'select',
                'default'  => 'default',
                'options'  => array(
                    'default' => __( 'Default', 'um_lang' ),
                    'custom' => __( 'Custom', 'um_lang' ),
                ),
            );
        }
        if ( isset( $section['id'] ) && 'woocommerce_dimension_unit' == $section['id'] ) {
            $updated_settings[] = array(
                'name'     => __( 'Number of products', 'um_lang' ),
                'desc_tip' => __( 'Choose the categories layout', 'um_lang' ),
                'id'       => 'woocommerce_category_layout',
                'type'     => 'select',
                'default'  => 'default',
                'options'  => array(
                    'default' => __( 'Default', 'um_lang' ),
                    'custom' => __( 'Custom', 'um_lang' ),
                ),
            );
        }
        $updated_settings[] = $section;
    }
    return $updated_settings;
}

add_filter("woocommerce_products_general_settings","um_add_woocommerce_general_tab_settings");
function um_add_woocommerce_general_tab_settings($settings){
    $updated_settings = array();

    foreach ( $settings as $section ) {
        if ( isset( $section['id'] ) && 'woocommerce_dimension_unit' == $section['id'] ) {
            $updated_settings[] = array(
                'name'     => __( 'Number of products', 'um_lang' ),
                'desc_tip' => __( 'Choose number of products per page', 'um_lang' ),
                'id'       => 'woocommerce_number_of_products',
                'type'     => 'text',
                'default'  => '6',
            );
			
			$updated_settings[] = array(
                'name'     => __( 'Columns', 'um_lang' ),
                'desc_tip' => __( 'Choose number of columns', 'um_lang' ),
                'id'       => 'woocommerce_product_columns',
                'type'     => 'select',
                'default'  => '3',
				'options'  => array(
                    1 => 1,
                    2 => 2,
                    3 => 3,
                    4 => 4,
                ),
            );
        }
        $updated_settings[] = $section;
    }
    return $updated_settings;
}

/*
 * Number of products per page
 * */
add_filter( 'loop_shop_per_page', 'um_number_of_products_per_page', 20 );
function um_number_of_products_per_page($cols){
    $number_of_products = get_option("woocommerce_number_of_products");
    return $number_of_products ? $number_of_products : get_option("posts_per_page");
}

/*
 * Number of columns
 * */
add_filter("loop_shop_columns","um_set_product_columns");
function um_set_product_columns($cols){
	$columns = get_option("woocommerce_product_columns");
	
	return $columns ? $columns : 3;
}
 
/*
 * Single product wraper
 * */
function um_add_single_product_wrapper(){
    echo "<div class='um_single_product_wrapper'>";
}
add_action('woocommerce_before_single_product_summary','um_add_single_product_wrapper',5);

function um_close_single_product_wrapper(){
    echo "</div>";
}
add_action('woocommerce_after_single_product_summary','um_close_single_product_wrapper',5);

function um_add_to_wish_list_button_on_single_product(){
    global $post;
    echo "<a class='um_add_wishlist' data-product='".$post->ID."' href='#'><i class='fa fa-heart-o'></i>".__("Add to wishlist","um_lang")."</a>";
}
add_action('woocommerce_single_product_summary','um_add_to_wish_list_button_on_single_product',60);