<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"/>
    <?php if(get_field("favicon","options")): ?>
        <link rel="icon" href="<?php echo esc_url(get_field("favicon","options")); ?>" type="image/x-icon">
    <?php endif; ?>
    <script type="text/javascript">
        var um_ajaxurl = "<?php echo admin_url('admin-ajax.php'); ?>";
        var product_lightbox = <?php echo get_option("woocommerce_enable_lightbox") == 'yes' ? "true" : "false"; ?>;
        var project_page = 1;
        var max_num_of_pages = 1;
        var filter_works = true;
    </script>
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div class="main_container container">
    <div class="loader">
        <div class="loading"> </div>
    </div>
    <?php
        $popup_id = "popup".sanitize_title_with_dashes(get_field("popup_name","options"));
        $popup_coockie = isset($_COOKIE[$popup_id]) && $_COOKIE[$popup_id] ? true : false ;
        if(get_field("popup_enabled","options") && !$popup_coockie):
    ?>
    <div class="popup-promotion" id="<?php echo $popup_id; ?>">
        <div class="pp-holder">
            <a href="<?php echo esc_url(get_field("image_url","options")); ?>" class="btn close_popup"><?php the_field("button_text","options"); ?></a>
            <div class="clearfix"></div>
            <a href="<?php echo esc_url(the_field("image_url","options")); ?>">
                <img src="<?php echo esc_attr(get_field("popup_image","options")); ?>" alt="<?php echo esc_attr(get_field("popup_name","options")); ?>"/>
            </a>
        </div>
    </div>
    <?php endif; ?>
    <div class="header <?php echo get_field("header_style","options") == "Centered Logo" ? "header2" : ""; ?>">
        <div class="logo">
            <a href="<?php echo esc_url(home_url()); ?>">
                <img src="<?php echo esc_url(get_field("site_logo","options"));?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"/>
            </a>
        </div>
        <div class="search-box">
            <form action="" class="main-search">
                <p>
                    <input type="text" id="search-input" name="s" placeholder="Search something.." autocomplete="off">
                    <button type="submit" id="search-send" name="search-send" value="l">
                        <i class="fa fa-search"></i>
                    </button>
                </p>
            </form>
        </div>
        <div class="m-navigation-menu">
            <a href="#" class="menu-button-mobile"><i class="fa fa-reorder"></i></a>
            <a href="#" class="search-mobile"><i class="fa fa-search"></i></a>
        </div>

        <div class="responsive-menu">
            <?php
            wp_nav_menu(array(
                    'menu'              => 'primary',
                    'theme_location'    => 'mobile_menu',
                    'depth'             => 6,
                    'container'         => 'div',
                    'container_class'   => 'menu_container',
                    'menu_class'        => 'mobile_menu'
                )
            );
            ?>
        </div>
        <div class="t-menu">
            <?php
            wp_nav_menu(array(
                    'menu'              => 'primary',
                    'theme_location'    => 'main_menu',
                    'depth'             => 6,
                    'container'         => 'div',
                    'container_class'   => 'menu_container',
                    'menu_class'        => 'main_menu',
                    'fallback_cb'       => 'MegaMenuWalker::fallback',
                    'walker'            => new MegaMenuWalker()
                )
            );
            ?>
        </div>
        <div class="t-wbar">
            <ul>
                <?php if(get_field("custom_registration","options") != "Disabled" && !is_user_logged_in()): ?>
                    <li><a href="<?php echo home_url(get_field("signin_slug","options") ? get_field("signin_slug","options") : "signin"); ?>"><?php _e("Sign in","um_lang");?></a></li>
                    <li><a href="<?php echo home_url(get_field("register_slug","options") ? get_field("register_slug","options") : "register"); ?>"><?php _e("Register","um_lang");?></a></li>
                <?php else: ?>
                    <li>
                        <a href="<?php echo get_permalink(get_option("woocommerce_myaccount_page_id")); ?>"><?php echo wp_get_current_user()->display_name; ?></a>
                    </li>
                <?php endif; ?>
                <li class="bag-icon-um">
                    <a href="#"><img src="<?php echo get_stylesheet_directory_uri();?>/assets/images/shop_bag.png" alt="<?php _e("Shop mini cart","um_lang");?>"/>
                        <div class="count_pr"><p><?php echo um_get_cart_total_items(); ?></p></div></a>
                    <div class="cart_contents woocommerce widget_shopping_cart widget"><div class="widget_shopping_cart_content"></div></div>
                </li>
            </ul>
        </div>
    </div>