<?php get_header(); ?>

    <div class="project-desc col-md-3">
        <div class="project-title">
            <h3><?php the_title(); ?></h3>
            <?php
            $terms = wp_get_post_terms( $post->ID,"portfolio_category" );
            $terms_html_array = array();
            foreach($terms as $t){
                $term_name = $t->name;
                $term_link = get_term_link($t->slug,$t->taxonomy);
                array_push($terms_html_array,"<a href='{$term_link}'>{$term_name}</a>");
            }
            $terms_html_array = implode(", ",$terms_html_array);
            if($terms_html_array):
            ?>
                <i class="fa fa-folder-o"></i> <?php echo $terms_html_array; ?>
            <?php endif; ?>
        </div>
        <div class="project-description">
            <?php
                global $post;
                setup_postdata($post);
                the_content();
            ?>
        </div>
        <?php
            $services = get_field("services");
            if($services):
        ?>
        <div class="project-services">
            <h4><?php _e("Services","um_lang"); ?></h4>
            <ul>
                <?php foreach ($services as $s) {
                    echo '<li>'.$s["service"].'</li>';
                }
                ?>
            </ul>
        </div>
        <?php endif; ?>
    </div>

    <?php
        $gallery = get_field("gallery");
        if($gallery):
    ?>
    <div class="project-images col-md-9">
        <ul>
            <?php
                foreach($gallery as $g):
                    if($g["media_type"] == "Image"):
                        $img = $g["image"];
                            if($img):
            ?>
                                <li><img src="<?php echo aq_resize($img["url"],825); ?>" alt="<?php echo $img["alt"]; ?>"/></li>
                <?php
                            endif;
                        else:
                            echo "<li>".um_getVideoEmbed($g["video"])."</li>";
                    endif;
                endforeach;
            ?>
        </ul>
    </div>
    <?php endif; ?>

<?php get_footer(); ?>