<?php
get_header();
$sidebar_class = is_active_sidebar("sidebar") ? "col-md-8" : "";
?>
<div class="postsingle-container  col-sm-12 <?php echo $sidebar_class; ?>">
    <div class="postsingle-image">
        <div class="blogpage-post-info">
            <p>
                <?php
                $terms = wp_get_post_terms( $post->ID,"category" );
                $terms_html_array = array();
                $term_classes = "";
                foreach($terms as $t){
                    $term_name = $t->name;
                    $term_link = get_term_link($t->slug,$t->taxonomy);
                    array_push($terms_html_array,"<a href='{$term_link}'>{$term_name}</a>");
                    $term_classes .= "um_".$t->slug." ";
                }
                $terms_html_array = implode(", ",$terms_html_array);
                _e("Posted on","um_lang");
                echo " ".get_the_date("F j, Y");
                if($terms_html_array){
                    echo " ";
                    _e("in","um_lang");
                    echo " ".$terms_html_array;
                }
                ?>
            </p>
        </div>
        <?php the_post_thumbnail("full"); ?>
    </div>

    <div class="postsingle-title">
        <h2><?php the_title(); ?></h2>
    </div>
    <div class="section-separator um-custom-line"></div>
    <div class="postsingle-content">
        <?php
            global $post;
            setup_postdata($post);
            the_content();
        ?>
    </div>
	<div class="tags">
		<?php if(get_the_tags()): ?>
			<?php the_tags("","",""); ?>
		<?php endif; ?>
	</div>
    <div class="section-separator um-custom-line"></div>
    <div class="singlepost-comments row">

        <?php comments_template(); ?>

    </div>
</div>

<?php if($sidebar_class): ?>
    <div class="blog-sidebar col-md-4 col-sm-12">
        <?php dynamic_sidebar("sidebar"); ?>
    </div>
<?php endif; ?>


<?php get_footer(); ?>