<?php
/*Template Name:Contact*/
get_header();
?>

    <div class="page_top">
        <h2><?php the_title(); ?></h2>
        <p><?php the_field("page_heading"); ?></p>
    </div>

    <div class="post-content">
        <?php
        global $post;
        setup_postdata($post);
        the_content();
        ?>
    </div>
    <div id="map" class="google-map-container">

    </div>

    <div class="section-separator um_section"></div>


    <div class="clearfix"></div>
    <div class="col-sm-8 col-sm-12 contact-c-form">
        <div class="section-title f-title"><?php _e("Contact us","um_lang");?> </div>
        <p>
            <?php
                $contact_form = get_field("contact_form");
                if($contact_form){
                    echo do_shortcode('[contact-form-7 id="'.$contact_form->ID.'" title="'.get_the_title($contact_form->ID).'"]');
                }
                wp_reset_postdata();
            ?>
        </p>
    </div>
    <div class="col-sm-4 col-sm-12 contact-info">
        <div class="section-title f-title"><?php _e("Contact info","um_lang");?> </div>
        <p><?php echo nl2br(get_field("contact_info")); ?></p>
    </div>
<?php
    $map = get_field("location");
    if($map):
?>
    <script type="text/javascript">
        jQuery(document).ready(function($){
            if($("#map").length){
                initialize();
            }
        });
        var map;
        function initialize() {
            var mapOptions = {
                zoom: parseInt('<?php the_field("map_zoom"); ?>'),
                center: new google.maps.LatLng(parseFloat("<?php echo $map["lat"]; ?>"), parseFloat("<?php echo $map["lng"]; ?>")),
                scrollwheel: false,
                styles: [
                    {
                        "featureType": "landscape",
                        "elementType": "all",
                        "stylers": [
                            {
                                "visibility": "on"
                            },
                            {
                                "saturation": -100
                            },
                            {
                                "lightness": 65
                            }
                        ]
                    },
                    {
                        "featureType": "poi",
                        "elementType": "all",
                        "stylers": [
                            {
                                "visibility": "simplified"
                            },
                            {
                                "saturation": -100
                            },
                            {
                                "lightness": 51
                            }
                        ]
                    },
                    {
                        "featureType": "road.highway",
                        "elementType": "all",
                        "stylers": [
                            {
                                "visibility": "simplified"
                            },
                            {
                                "saturation": -100
                            }
                        ]
                    },
                    {
                        "featureType": "road.arterial",
                        "elementType": "all",
                        "stylers": [
                            {
                                "visibility": "on"
                            },
                            {
                                "saturation": -100
                            },
                            {
                                "lightness": 30
                            }
                        ]
                    },
                    {
                        "featureType": "road.local",
                        "elementType": "all",
                        "stylers": [
                            {
                                "visibility": "on"
                            },
                            {
                                "saturation": -100
                            },
                            {
                                "lightness": 40
                            }
                        ]
                    },
                    {
                        "featureType": "transit",
                        "elementType": "all",
                        "stylers": [
                            {
                                "visibility": "simplified"
                            },
                            {
                                "saturation": -100
                            }
                        ]
                    },
                    {
                        "featureType": "administrative.province",
                        "elementType": "all",
                        "stylers": [
                            {
                                "visibility": "off"
                            }
                        ]
                    },
                    {
                        "featureType": "water",
                        "elementType": "labels",
                        "stylers": [
                            {
                                "visibility": "on"
                            },
                            {
                                "saturation": -100
                            },
                            {
                                "lightness": -25
                            }
                        ]
                    },
                    {
                        "featureType": "water",
                        "elementType": "geometry",
                        "stylers": [
                            {
                                "hue": "#ffff00"
                            },
                            {
                                "saturation": -97
                            },
                            {
                                "lightness": -25
                            }
                        ]
                    }
                ]
            };
            map = new google.maps.Map(document.getElementById('map'), mapOptions);
            var markers = [["<?php echo $map["address"]; ?>",parseFloat("<?php echo $map["lat"]; ?>"),parseFloat("<?php echo $map["lng"]; ?>")]];

            jQuery.each(markers,function(){
                var this_item = this;
                new google.maps.Marker({
                    title : this_item[0],
                    position: new google.maps.LatLng(this_item[1], this_item[2]),
                    map: map
                })
            });
            /*var marker = new google.maps.Marker({
             title : "<?php echo $map["address"]; ?>",
             position: new google.maps.LatLng(parseFloat("<?php echo $map["lat"]; ?>"), parseFloat("<?php echo $map["lng"]; ?>")),
             map: map
             });*/
        }
    </script>
<?php endif; ?>
<?php get_footer(); ?>