<?php
/*Template Name:Home*/
get_header();
//echo um_mustache_render("hello_world",array("name"=>"burim"));
if( have_rows('home_layout') ):
    while ( have_rows('home_layout') ) : the_row();
        $layout = get_row_layout();
        if($layout == "heading"){
            $headline_text = get_sub_field("headline_text");
            $url = get_sub_field("button_url");
            $button_text = get_sub_field("button_text");
            echo um_headline_shortcode_func(compact("url","button_text"),$headline_text);
        }else if($layout == "feed"){
            $title = get_sub_field("title");
            $url = get_sub_field("button_url");
            $button_text = get_sub_field("button_text");
            $content = get_sub_field("content");
            echo um_feed_shortcode_func(compact("title","url","button_text"),$content);
        }else if($layout == "product_categories"){
            $title = get_sub_field("title");
            $exclude_categories = get_sub_field("exclude_categories");
            if(is_array($exclude_categories) && $exclude_categories){
                $exclude = implode(",",get_sub_field("exclude_categories"));
            }
            echo um_product_categories_shortcode_func(compact("title","exclude"),"");
        }else if($layout == "separator"){
            echo um_separator_shortcode_func(array(),"");
        }else if($layout == "subscribe"){
            $text = get_sub_field("text");
            //echo do_shortcode("[um_subscribe]{$text}[/um_subscribe]");
            echo um_subscribe_shortcode_func(array(),$text);
        }else if($layout == "products_slider"){
            $title = get_sub_field("title");
            $interval = get_sub_field("slider_delay");

            $feed = get_sub_field("feed");

            $number_of_products = get_sub_field("number_of_products");
            $order = get_sub_field("order");
            $order_by = get_sub_field("order_by");
            $products = get_sub_field("products");
            $category = get_sub_field("category");

            $products = null;
            if($feed == "Recent Products"){
                $meta_query = "";
                if(WC() instanceof WooCommerce){
                    $meta_query = WC()->query->get_meta_query();
                }
                $args = array(
                    'post_type'				=> 'product',
                    'post_status'			=> 'publish',
                    'ignore_sticky_posts'	=> 1,
                    'posts_per_page' 		=> $number_of_products,
                    'orderby' 				=> $order_by,
                    'order' 				=> $order,
                    'meta_query' 			=> $meta_query
                );
                $products = new WP_Query($args);
            }elseif($feed == "Sale Products"){
                $product_ids_on_sale = null;
                if(function_exists('wc_get_product_ids_on_sale')) {
                    $product_ids_on_sale = wc_get_product_ids_on_sale();
                }
                $meta_query = "";
                if(WC() instanceof WooCommerce){
                    $meta_query = WC()->query->get_meta_query();
                }
                $args = array(
                    'posts_per_page' 	=> $number_of_products,
                    'orderby' 			=> $order_by,
                    'order' 			=> $order,
                    'no_found_rows' 	=> 1,
                    'post_status' 		=> 'publish',
                    'post_type' 		=> 'product',
                    'meta_query' 		=> $meta_query,
                    'post__in'			=> array_merge( array( 0 ), $product_ids_on_sale )
                );
                $products = new WP_Query($args);
            }elseif($feed == "Best Selling Products"){
                $meta_query = "";
                if(WC() instanceof WooCommerce){
                    $meta_query = WC()->query->get_meta_query();
                }
                $args = array(
                    'post_type'           => 'product',
                    'post_status'         => 'publish',
                    'ignore_sticky_posts' => 1,
                    'posts_per_page'      => $number_of_products,
                    'meta_key'            => 'total_sales',
                    'orderby'             => 'meta_value_num',
                    'meta_query'          => $meta_query
                );
                $products = new WP_Query($args);
            }elseif($feed == "Top Rated Products"){
                $meta_query = "";
                if(WC() instanceof WooCommerce){
                    $meta_query = WC()->query->get_meta_query();
                }
                $args = array(
                    'post_type'				=> 'product',
                    'post_status'			=> 'publish',
                    'ignore_sticky_posts'	=> 1,
                    'posts_per_page' 		=> $number_of_products,
                    'orderby' 				=> $order_by,
                    'order' 				=> $order,
                    'meta_query' 			=> $meta_query
                );
                if(class_exists('WC_Shortcodes')){
                    add_filter( 'posts_clauses', array( 'WC_Shortcodes', 'order_by_rating_post_clauses' ) );
                }
                $products = new WP_Query($args);
                if(class_exists('WC_Shortcodes')) {
                    remove_filter('posts_clauses', array('WC_Shortcodes', 'order_by_rating_post_clauses'));
                }
            }elseif($feed == "Featured Products"){
                $meta_query = "";
                if(WC() instanceof WooCommerce){
                    $meta_query = WC()->query->get_meta_query();
                }
                $meta_query[] = array(
                    'key'   => '_featured',
                    'value' => 'yes'
                );
                $args = array(
                    'post_type'           => 'product',
                    'post_status'         => 'publish',
                    'ignore_sticky_posts' => 1,
                    'posts_per_page' 	=> $number_of_products,
                    'orderby' 			=> $order_by,
                    'order' 			=> $order,
                    'meta_query'          => $meta_query
                );
                $products = new WP_Query($args);
            }elseif($feed == "Custom Products"){
                $products_id = get_sub_field("products");
                $meta_query = "";
                if(WC() instanceof WooCommerce){
                    $meta_query = WC()->query->get_meta_query();
                }
                $args = array(
                    'post_type'           => 'product',
                    'post_status'         => 'publish',
                    'ignore_sticky_posts' => 1,
                    'posts_per_page'      => -1,
                    'meta_query'          => $meta_query,
                    'post__in'           => $products_id
                );
                $products = new WP_Query($args);
            }elseif($feed == "Products Category"){
                $product_cat = get_sub_field("category");
                $product_cat_array = array();
                foreach ($product_cat as $p_cat) {
                    array_push($product_cat_array,$p_cat->slug);
                }
                $tax_query = array(
                    'taxonomy' => 'product_cat',
                    'field'    => 'slug',
                    'terms'    => $product_cat_array,
                    'operator' => 'IN',
                );
                $meta_query = "";
                if(WC() instanceof WooCommerce){
                    $meta_query = WC()->query->get_meta_query();
                }
                $args = array(
                    'post_type'           => 'product',
                    'post_status'         => 'publish',
                    'ignore_sticky_posts' => 1,
                    'posts_per_page'      => -1,
                    'meta_query'          => $meta_query,
                    'posts_per_page' 	=> $number_of_products,
                    'orderby' 			=> $order_by,
                    'order' 			=> $order,
                    'tax_query'         => array($tax_query)
                );
                $products = new WP_Query($args);
            }
            $products_markup = "";
            while ( $products->have_posts() ) : $products->the_post();
                global $post;
                $product;
                if(WC() instanceof WooCommerce){
                    $meta_query = WC()->query->get_meta_query();

                $product = new WC_Product($post);

                $title = get_the_title($post->id);
                $url = get_permalink($post->id);
                $button_text = __("view product","um_lang");
                $price = $product->get_price()." ".get_woocommerce_currency();
                $image = um_get_post_featured_image_src();
                $description = strip_tags($post->post_excerpt);

                $products_markup .= um_product_slide_shortcode_func(compact("price","title","url","button_text","description","image"),"");
                }
            endwhile;
            wp_reset_postdata();
            //echo do_shortcode("[um_product_slider title='{$slider_title}' interval='{$slider_interval}']{$products_markup}[/um_product_slider]");
            echo um_product_slider_shortcode_func(compact("title","interval"),$products_markup);
        }else if($layout == "clients"){
            $title = get_sub_field("title");
            $interval = get_sub_field("slider_delay");
            $clients = get_sub_field("clients");
            $clients_markup = "";
            if($clients){
                foreach ($clients as $cl) {
                    $title = $cl["title"];
                    $url = $cl["url"];
                    $image = $cl["logo"];
                    $alt = $title;
                    $clients_markup .= um_client_shortcode_func(compact("title","alt","image"),"");
                }

            }
            echo um_clients_shortcode_func(compact("title","interval"),$clients_markup);
        }else if($layout == "widgetized_area"){
            $sidebar = get_sub_field("sidebar");
            echo um_um_widgetized_shortcode_func(compact("sidebar"),"");
        }else if($layout == "umbrella_slider"){
            $delay = get_sub_field("slider_delay");
            $slider = get_sub_field("slider");
            $slides_markup = "";
            if($slider){
                foreach ($slider as $slide){

                    $image = $slide["image"]["url"];
                    $image_alt = $slide["image"]["alt"];
                    $image_full = $slide["image_fullwidth"] ? "1" : "0";
                    $button_text = $slide["button_text"];
                    $button_url = $slide["button_url"];
                    $caption = $slide["slider_label"];
                    $background_color = $slide["background_color"];
										
					$slides_markup .= um_umbrella_slide_shortcode_func(compact("image","background_color","image_full","caption","button_url","button_text","image_alt"),"");
                }
            }
			echo um_umbrella_slider_shortcode_func(compact("delay"),$slides_markup);
        }else if($layout == "content"){
            $content = get_sub_field("content");
            echo "<div class='content_section'>{$content}</div><div class='clearfix'></div>";
        }
        else if($layout == "testimonials"){
            $interval = get_sub_field("slider_delay");
            $title = get_sub_field("title");
            $testimonials = get_sub_field("testimonials");
            $testimonials_markup = "";
            if($testimonials){
                foreach ($testimonials as $testimonial) {
                    $image = aq_resize($testimonial["image"]["url"],80,80,true);
                    $alt = $testimonial["image"]["alt"];
                    $text = $testimonial["text"];
                    $author = $testimonial["author"];
                    $testimonials_markup .= um_testimonial_shortcode_func(compact("image","alt","author"),$text);
                }
                echo um_testimonials_shortcode_func(compact("title","interval"),$testimonials_markup);
            }
        }elseif($layout == "promotion_banner"){

            $banners = get_sub_field("banners");
            $class = "";
            if(count($banners) == 2){
                $class = "two-banners";
            }elseif(count($banners) == 3){
                $class = "three-banners";
            }
            echo "<div class='um_section promotion_banners'>";
            if($banners){
                foreach ($banners as $b) {
                    $background_mode = $b["background_mode"];

                    $image = "";
                    $image_alt = "";
                    $background_color = "";
                    $height = $b["height"];

                    if($background_mode == "Image"){
                        $img = $b["image"];
                        $image = "";
                        $image_alt = "";
                        if($img) {
                            $image = $img["url"];
                            $image_alt = $img["alt"];
                        }
                    }else{
                        $bg_color = $b["background_color"];
                    }

                    $caption = $b["caption"];
                    $button_text = $b["button_text"];
                    $button_url = $b["button_url"];

                    //echo do_shortcode("[um_banner class='{$class}' background_color='{$bg_color}' image='{$image_url}' image_alt='{$image_alt}' caption='{$caption}' button_text='{$button_text}' button_url='{$button_url}'/]");
                    echo um_banner_shortcode_func(compact("class","background_color","image","image_alt","caption","button_text","button_url","height"),"");
                }
            }
            echo "</div>";
        }elseif($layout == "collection"){
            $collection = get_sub_field("collection");
            $value = json_decode(base64_decode($collection),true);
            $img = is_array($value) && isset($value['image']) && $value['image'] ? $value['image'] : "";
            $img_src = "";
            if($img){
                $img_src = wp_get_attachment_image_src($img,"full");
                $img_src = $img_src[0];
            }
            ?>
                <div class="collection-section um_section">
                    <div class="section-title"><?php the_sub_field("section_title"); ?></div>
                    <div class="clearfix"></div>
                    <div class="collection-con">
                        <?php
                        if(is_array($value) && isset($value['points']) && $value['points']):
                            foreach($value['points'] as $p):
                                $product = null;
                                if($p["product"]):
                                    $product = get_post(intval($p["product"]));
                                    if($product):
                                        $img = um_get_post_featured_image_src($product->ID);
                                        if($img){
                                            $img = aq_resize($img,360 * 2);
                                            $alt = get_post_meta(get_post_thumbnail_id($post->ID) , '_wp_attachment_image_alt', true);
                                            $alt = esc_attr($alt);
                                            $img = esc_url(aq_resize($img,90,100,true));
                                            $img = "<img src='{$img}' alt='{$alt}'/>";
                                        }
                                        ?>
                                        <div class="c-product" data-product="<?php echo esc_attr($product->ID); ?>">
                                            <div class="c-product-holder">
                                                <a class="close-c-product" href="<?php echo esc_url(get_permalink($product->ID)); ?>"><i class="fa fa-close"></i></a>
                                                <?php echo $img; ?>
                                                <a href="<?php echo esc_url(get_permalink($product->ID)); ?>" class="c-title"><?php echo get_the_title($product->ID); ?></a>
                                                <div class="clearfix"></div>
                                                <a href="<?php echo esc_url(get_permalink($product->ID)); ?>" class="button2 btn"><?php _e("View product","um_lang");?></a>
                                            </div>
                                        </div>
                                        <?php
                                    endif;
                                endif;
                                ?>
                                <div class='c-matchpoint <?php echo $p["flip"] ? "c-left" : ""; ?>'
                                     data-product="<?php echo isset($p["product"]) ? esc_attr($p["product"]) : ""; ?>"
                                     style="top:<?php echo isset($p["top"]) ? $p["top"] : ""; ?>%;left:<?php echo isset($p["left"]) ? $p["left"] : ""; ?>%;width:<?php echo isset($p["width"]) ? $p["width"] : ""; ?>px"
                                    >
                                    <div class='matchpoint-holder'>
                                        <div class='c-icon'>
                                            <a href='#'><i class='fa fa-bars'></i></a>
                                        </div>
                                        <div class='c-line'></div>
                                        <div class='c-circle'></div>
                                    </div>
                                </div>
                            <?php
                            endforeach;
                        endif;
                        ?>

                        <img src="<?php echo $img_src; ?>" alt="<?php the_sub_field("section_title"); ?>"/>
                    </div>
                    <!--Mobile matchpoints -->
                    <ul class="mobile-matchpoints">
                        <?php
                        if(is_array($value) && isset($value['points']) && $value['points']):
                            foreach($value['points'] as $p):
                                ?>
                                <li><a href="#" data-product="<?php echo isset($p["product"]) ? esc_attr($p["product"]) : ""; ?>"><i class="fa fa-bars"></i></a></li>
                            <?php
                            endforeach;
                        endif;
                        ?>
                    </ul>
                </div>
            <?php
        }
    endwhile;
endif;
?>

<?php get_footer(); ?>