<?php
if(!isset($_REQUEST["um_ajax_load_more"])):
/*Template Name:Gallery*/
get_header();
?>

    <div class="page_top">
        <h2><?php echo is_tax() ? wp_title("") : the_title(); ?></h2>
        <p><?php the_field("page_heading"); ?></p>
    </div>

    <div class="post-content">
        <?php
            global $post;
            setup_postdata($post);
            the_content();
        ?>
    </div>

    <?php
        $arguments = array();
        $exlucde_cats = get_field("exclude_portfolios_from_these_categories");
        $exlucde_cats_arr = array();
        if($exlucde_cats){
            foreach($exlucde_cats as $cat){
                array_push($exlucde_cats_arr,$cat->term_id);
            }
            $arguments["exclude"] = $exlucde_cats_arr;
        }
        $include_cats = get_field("include_portfolios_from_these_categories_only");
        $include_cats_arr = array();
        if($include_cats){
            foreach($include_cats as $cat){
                array_push($include_cats_arr,$cat->term_id);
            }
            $arguments["include"] = $include_cats_arr;
        }
        $terms = get_terms("portfolio_category",$arguments);
        if($terms):
    ?>
    <div class="gallery-filter">
        <ul>
            <li class="activeFilter"><a data-filter="um_all" href="#"><?php _e("All","um_lang"); ?></a></li>
            <?php foreach($terms as $term):$term_link = get_term_link($term->slug,$term->taxonomy);?>
                <li><a href="<?php echo esc_url($term_link); ?>" data-filter="um_<?php echo $term->slug; ?>"><?php echo $term->name; ?></a></li>
            <?php endforeach; ?>
        </ul>
    </div>
    <?php endif; ?>
    <div class="clearfix"></div>
    <?php
endif;
        if(is_tax()){
            $the_query = $wp_query;
        }else {
            $arguments = array();
            $arguments["post_type"] = "portfolio";
            /*Exclude*/
            $exlucde_cats = get_sub_field("exclude_categories");
            $exlucde_cats_arr = array();
            if ($exlucde_cats) {
                foreach ($exlucde_cats as $cat) {
                    array_push($exlucde_cats_arr, $cat->slug);
                }
                $arguments["tax_query"] = array(array(
                    'taxonomy' => 'portfolio_category',
                    'field' => 'slug',
                    'terms' => $exlucde_cats_arr,
                    'operator' => 'NOT IN'
                ));
            }
            /*Exclude*/

            /*Include*/
            $include_cats = get_sub_field("include_categories");
            $include_cats_arr = array();
            if ($include_cats) {
                foreach ($include_cats as $cat) {
                    array_push($include_cats_arr, $cat->slug);
                }
                $arguments["tax_query"] = array(array(
                    'taxonomy' => 'portfolio_category',
                    'field' => 'slug',
                    'terms' => $include_cats_arr,
                    'operator' => 'IN'
                ));
            }
            /*Include*/
            $arguments["posts_per_page"] = get_field("number_of_projects_per_page") ? get_field("number_of_projects_per_page") : 6;
            if (isset($_REQUEST["paged"]) && $_REQUEST["paged"]) {
                $arguments["paged"] = $_REQUEST["paged"];
            }
            $the_query = new WP_Query($arguments);
        }
if(!isset($_REQUEST["um_ajax_load_more"])):
    ?>

    <div class="gallery-container row">
<?php endif; ?>
        <?php
            while ( $the_query->have_posts() ) :  $the_query->the_post();
                $terms = wp_get_post_terms( $post->ID,"portfolio_category" );
                $terms_html_array = array();
                $term_classes = "";
                foreach($terms as $t){
                    $term_name = $t->name;
                    $term_link = get_term_link($t->slug,$t->taxonomy);
                    array_push($terms_html_array,$term_name);
                    $term_classes .= "umterms_".$t->slug." ";
                }
                $terms_html_array = implode(", ",$terms_html_array);
                $img = um_get_post_featured_image_src();
                if($img){
                    $img = aq_resize($img,360 * 2);
                    $alt = get_post_meta(get_post_thumbnail_id($post->ID) , '_wp_attachment_image_alt', true);
                    $alt = esc_attr($alt);
                    $img = esc_url($img);
                    $img = "<img src='{$img}' alt='{$alt}'/>";
                }
                get_template_part("content","single-portfolio");
            endwhile;
if(!isset($_REQUEST["um_ajax_load_more"])):
        ?>
    </div>
    <?php if($the_query->max_num_pages > 1): ?>
        <a class="btn button2 load_more_portfolio" href="#"><?php _e("Load more","um_lang"); ?></a>
    <?php endif; ?>
    <script type="text/javascript">
        max_num_of_pages = <?php echo $the_query->max_num_pages; ?>;
    </script>
<?php get_footer(); ?>
<?php endif; ?>