<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ){
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 3 );
}
// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'first';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'last';
switch($woocommerce_loop['columns']){
    case 1: array_push($classes,"col-md-12"); break;
    case 2: array_push($classes,"col-md-6"); break;
    case 3: array_push($classes,"col-md-4"); break;
    case 4: array_push($classes,"col-md-3"); break;
    case 6: array_push($classes,"col-md-2"); break;
}
if(($woocommerce_loop['loop'] % $woocommerce_loop['columns']) == 0){
	array_push($classes,"product-no-padding");
}
array_push($classes,"um_single_product");
array_push($classes,"col-sm-6 col-xs-12");
?>
<div <?php post_class( $classes ); ?>>
	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
	<div class="product_image_holder">
		<?php
			/**
			 * woocommerce_before_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 * @hooked woocommerce_template_loop_product_thumbnail - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
		?>
		<div class='product_overlay'></div>
	</div>
	<a href="<?php the_permalink(); ?>"><h3><?php the_title(); ?></h3></a>
	<?php
		/**
		 * woocommerce_after_shop_loop_item_title hook
		 *
		 * @hooked woocommerce_template_loop_rating - 5
		 * @hooked woocommerce_template_loop_price - 10
		 */
		do_action( 'woocommerce_after_shop_loop_item_title' );
	?>
	<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
</div>
<?php
	if(($woocommerce_loop['loop'] % $woocommerce_loop['columns']) == 0){
		echo '<div class="clearfix visible-md-block visible-lg-block"></div>';
	}
?>