<?php
/**
 * Loop Add to Cart
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.1.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product;
$wishlist_class = "";
if(um_is_product_wish_listed($product->id)){
    $wishlist_class = "um_wishlist_product";
}
$icon = "";
if($product->product_type == "simple"){
    $icon = '<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
width="512px" height="512px" viewBox="0 0 512 512" enable-background="new 0 0 512 512" xml:space="preserve">
  <path id="shopping-bag-13-icon" d="M343.104,306.418c-42.963,0-77.793,34.828-77.793,77.791c0,42.964,34.83,77.791,77.793,77.791
s77.791-34.827,77.791-77.791C420.896,341.246,386.067,306.418,343.104,306.418z M390.913,398.344h-33.672v33.673h-26.006v-33.673
h-33.674v-26.005h33.674v-33.672h26.006v33.672h33.672V398.344z M268.493,462H91.104V185.333h271v92.748
c-9.865-1.745-19.957-2.119-30-1.109v-61.639h-211V432h125.326c5.149,10.392,12.012,19.989,20.453,28.43
C267.415,460.961,267.953,461.481,268.493,462z M174.604,160.333h-30V132c0-45.287,36.713-82,82-82s82,36.713,82,82v28.333h-30V132
c0-28.673-23.327-52-52-52s-52,23.327-52,52V160.333z"/>
</svg>';
}else{
    $icon = '<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
	 width="512px" height="512px" viewBox="0 0 512 512" enable-background="new 0 0 512 512" xml:space="preserve">
<path id="bulleted-list-icon" d="M178.721,116H462v40H178.721V116z M178.721,236H462v40H178.721V236z M178.721,356H462v40H178.721
	V356z M90,96c-22.09,0-40,17.908-40,40c0,22.09,17.91,40,40,40c22.092,0,40-17.91,40-40C130,113.908,112.092,96,90,96z M90,216
	c-22.09,0-40,17.908-40,40c0,22.09,17.91,40,40,40c22.092,0,40-17.91,40-40C130,233.908,112.092,216,90,216z M90,336
	c-22.09,0-40,17.908-40,40c0,22.09,17.91,40,40,40c22.092,0,40-17.91,40-40C130,353.908,112.092,336,90,336z"/>
</svg>';
}
$add_to_cart_tooltip = "<span class='um_tooltip'>".__("Add to cart","um_lang")."</span>";
$add_to_wishlist_tooltip = "<span class='um_tooltip'>".__("Add to wishlist","um_lang")."</span>";
$go_to_product_tooltip = "<span class='um_tooltip'>".__("View product","um_lang")."</span>";
echo "<ul class='product-hover-ul'>";
	echo "<li>";
		echo apply_filters( 'woocommerce_loop_add_to_cart_link',
			sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="button %s product_type_%s">%s</a>'.$add_to_cart_tooltip,
				esc_url( $product->add_to_cart_url() ),
				esc_attr( $product->id ),
				esc_attr( $product->get_sku() ),
				$product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
				esc_attr( $product->product_type ),
				$icon
			),
		$product );
	echo "</li>";
	echo "<li>";
		echo sprintf('<a href="%s" data-product_id="%s" class="add_to_wish_list %s"><i class="fa fa-heart-o"></i></a>'.$add_to_wishlist_tooltip,
			esc_url( $product->add_to_cart_url() ),
			esc_attr( $product->id ),
            esc_attr( $wishlist_class )
		);
	echo "</li>";
	echo "<li>";
		echo sprintf('<a href="%s" data-product_id="%s" class="product_button"><i class="fa fa-navicon"></i></a>'.$go_to_product_tooltip,
			esc_url( get_permalink($product->id) ),
			esc_attr( $product->id )
		);
	echo "</li>";
echo "</ul>";